/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.1";
	this.minVersion = "2.0.2a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.123video.nl/";
	this.ID = "123video.nl";
	this.caption = "123video";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_GET_XML = "http://www.123video.nl/initialize_player_v3.asp";
	const XML_PARAMS  = "<movie><id>%1</id></movie>";
	// video information
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get video title
	result.title = copyBetween(html, "?title=", "&amp;");
	// get the video ID
	var videoID = copyBetween(html, "mediaSrc=", "&");
	// get the video xml
	var xml = http.downloadWebpagePost(URL_GET_XML, strFormat(XML_PARAMS, videoID));
	// get the host IP
	var hostIP = copyBetween(xml, "MediaIP=\"", "\"");
	// get the FLV url
	result.URL = strFormat("http://%1/%2/%3.flv", hostIP, strCopy(videoID, 0, 3), videoID);
	// add the referer header
	result.headers = "Referer=" + url + "|Connection=keep-alive";
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,0x13,0x00,0x00,0x0b,
		0x13,0x01,0x00,0x9a,0x9c,0x18,0x00,0x00,0x02,0x4d,0x49,0x44,0x41,0x54,0x38,0x11,
		0xa5,0x53,0xcf,0x6b,0x13,0x41,0x14,0xfe,0x26,0x99,0xa4,0x69,0xb2,0x89,0x9b,0x6d,
		0xd2,0x58,0x0d,0xb8,0x26,0x88,0x45,0xc4,0x4b,0x73,0x30,0xc5,0x0a,0x0a,0xe2,0x0f,
		0x7a,0x10,0x04,0x7f,0x14,0x7a,0xf3,0x50,0xbc,0xe8,0xc9,0x8b,0x57,0x8f,0x82,0x20,
		0x78,0x14,0xff,0x00,0x83,0xe0,0xa9,0x87,0x16,0x02,0x42,0x4e,0xa6,0xd4,0x68,0x12,
		0xa4,0x26,0x86,0x26,0xd4,0x24,0x35,0x25,0x6a,0x36,0x49,0xb3,0xc9,0xee,0x38,0xb3,
		0x12,0xa9,0xb5,0x17,0xc9,0xc0,0xcc,0xf0,0xbe,0xf7,0xde,0xf7,0xbe,0xf7,0x76,0x96,
		0x30,0xc6,0x30,0xca,0xb2,0x8d,0x92,0x2c,0x72,0x0f,0x24,0xe0,0xaa,0xc6,0xf6,0x13,
		0x73,0x4c,0xda,0x8f,0x09,0x9b,0xbe,0xfd,0xbc,0xf6,0x24,0xb1,0xbe,0x72,0xdd,0x60,
		0xa6,0x64,0x27,0x36,0xed,0xca,0xa9,0x73,0xe9,0xab,0xd3,0x33,0x2f,0xd9,0x97,0xe7,
		0x4f,0x31,0xd0,0x0c,0x10,0x8c,0x83,0xca,0x3a,0x22,0xf7,0xee,0x94,0x5f,0xbf,0x79,
		0xd0,0xcc,0x64,0xe6,0xc0,0xdb,0x26,0x94,0x42,0x5d,0x58,0x78,0x66,0x77,0xcf,0x1e,
		0x7b,0x91,0xad,0x16,0xd4,0x5b,0x33,0x97,0xa5,0xe5,0x7c,0x4a,0x29,0x6c,0x97,0xc7,
		0x6f,0x9c,0x8c,0xac,0x93,0xad,0x57,0x77,0x89,0x7c,0x66,0x92,0x38,0x64,0x85,0x7c,
		0x5b,0x0d,0x22,0x70,0xbe,0x98,0x79,0xf4,0xf8,0xa1,0x14,0x89,0x28,0x4e,0x59,0x56,
		0xda,0xa5,0x92,0x62,0xea,0xba,0x9f,0xb7,0xc0,0xa0,0xb8,0x7d,0x58,0xdb,0xcc,0x63,
		0xca,0x17,0xe0,0xa2,0xd8,0xa4,0x25,0x95,0x7a,0x00,0x87,0x0c,0x48,0x27,0x00,0xd7,
		0x94,0x80,0x6a,0xa2,0xea,0xcf,0x7c,0x1e,0x66,0xbf,0x8f,0xa3,0xf3,0xf3,0xbf,0xc3,
		0xc4,0x99,0xdc,0x78,0x87,0xbe,0x31,0x40,0x6f,0xa0,0x63,0xc2,0x7d,0xc8,0x69,0x79,
		0x9c,0x82,0x8c,0x00,0xda,0x06,0xd0,0xff,0x2e,0x20,0x83,0xd8,0xed,0x50,0x17,0x17,
		0xd1,0xad,0x56,0x61,0x74,0xbb,0x56,0x18,0xbd,0x34,0x1d,0xcf,0x7d,0xfd,0xd1,0x10,
		0x86,0x87,0x3a,0x69,0xfb,0xda,0xe9,0xb9,0x0f,0x70,0x1d,0xf9,0xc4,0x8c,0xce,0x26,
		0xb6,0x57,0x45,0x94,0xc4,0x15,0x18,0x70,0x4e,0x94,0x42,0x17,0x2f,0xbc,0xaf,0x24,
		0x12,0x01,0x10,0x4e,0xcc,0xe7,0x10,0x5d,0x5a,0x5a,0x21,0xe5,0x72,0xf9,0xfe,0xc7,
		0x6c,0xf6,0x26,0x33,0xcd,0x1a,0x21,0x24,0xc4,0xa7,0x6d,0xb7,0xa8,0xf9,0xc1,0xed,
		0x06,0xb7,0x7b,0x7b,0xec,0xc3,0x43,0xbf,0x9d,0xab,0x89,0xc5,0x62,0xcb,0x34,0x99,
		0x4c,0xde,0x4e,0xa5,0x52,0x67,0x87,0x41,0x1e,0x8f,0x07,0xed,0x76,0x1b,0x5e,0xaf,
		0x17,0xad,0x56,0x6b,0x08,0xff,0xb9,0x85,0xbf,0xcb,0xe5,0x9b,0xa6,0x29,0xf6,0x16,
		0x1d,0x7a,0x42,0xa1,0x10,0x7c,0x3e,0x1f,0x7a,0xbd,0x1e,0xa2,0xd1,0x28,0x82,0xc1,
		0x20,0x0c,0xc3,0x40,0x95,0xf7,0x4b,0xf9,0xf0,0x72,0xb9,0x1c,0xe2,0xb3,0x71,0x31,
		0x73,0xa4,0xd3,0x69,0x8b,0x80,0xab,0x01,0xe5,0x2c,0x21,0x41,0x52,0xaf,0xd7,0xe1,
		0x76,0xbb,0xd1,0xe9,0x74,0xe0,0x72,0xb9,0x50,0xa9,0x54,0x30,0x18,0x0c,0xa0,0xeb,
		0x3a,0x6c,0x36,0x1b,0x64,0xbf,0x1f,0xc5,0x62,0x11,0x8a,0xa2,0x58,0xc9,0xc3,0xc2,
		0x54,0x55,0xd5,0x62,0xa1,0x50,0x38,0x2e,0x00,0x4d,0xd3,0x44,0xdf,0x68,0x36,0x9b,
		0x43,0xbf,0x75,0x33,0x30,0xd3,0x41,0x69,0x9f,0x99,0x6c,0x6c,0xa7,0xb1,0x63,0x91,
		0xf0,0x0f,0x64,0x84,0xc3,0xe1,0x1a,0xe1,0x0a,0xc4,0xb3,0xf5,0xfe,0x95,0xf1,0xaf,
		0xd1,0xe7,0x90,0xc6,0xb7,0x7f,0x8f,0x6b,0x97,0x17,0xd3,0x88,0xe8,0x63,0x94,0x75,
		0xe0,0xcf,0xf4,0x3f,0x84,0xbf,0x00,0x90,0xd1,0xf0,0x64,0xac,0xec,0x20,0x4f,0x00,
		0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
