/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
this.version = "1.0.0";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.atom.com/";
	this.ID = "atom.com";
	this.caption = "Atom";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_GET_FEED = "http://www.atom.com/atom/feed/syndicated/?uri=%1";
	// init result
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get the uri
	var uri = copyBetween(html, ",uri: '", "'");
	// download feed
	var feed = http.downloadWebpage(strFormat(URL_GET_FEED, uri));
	
	print(feed);
	
	// get video title
	result.title = copyBetween(feed, "<title>", "</title>");
	// get flv xml url
	var xmlUrl = strReplace(copyBetween(feed, 'url="', '"'), "&amp;", "&");
	// download flv xml
	var xml = http.downloadWebpage(xmlUrl);
	// get flv url
	result.URL = copyBetween(xml, 'bitrate="700"', '</src>');
	result.URL = copyBetween(result.URL, "CDATA[", "]]");
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,0x13,0x00,0x00,0x0b,
		0x13,0x01,0x00,0x9a,0x9c,0x18,0x00,0x00,0x02,0x77,0x49,0x44,0x41,0x54,0x38,0x11,
		0xa5,0x53,0x6d,0x48,0x93,0x51,0x14,0x7e,0x5e,0xf7,0xfa,0xd5,0x30,0xd7,0x88,0xe9,
		0x98,0x4b,0x4d,0xd4,0x14,0x3f,0x2b,0x32,0x18,0x39,0x9d,0x65,0x66,0xb1,0xc4,0x30,
		0x24,0x2a,0x04,0xa3,0x92,0x11,0xcc,0xfc,0x51,0x44,0x11,0xc4,0x2c,0x82,0xc8,0x7e,
		0xf4,0x53,0xf2,0x4f,0xcb,0x92,0x3e,0x29,0x14,0x4a,0x82,0x88,0x6c,0xe8,0x40,0x71,
		0x23,0xd3,0x74,0x73,0x2e,0x33,0x47,0x33,0x1d,0x35,0xa6,0xbe,0xee,0xf4,0x6e,0x63,
		0xd3,0xe1,0xf0,0x4f,0xe7,0xc7,0xbd,0x87,0xe7,0x79,0xce,0xb9,0xe7,0x9e,0x7b,0x0f,
		0x43,0xbc,0xe1,0x3f,0x2c,0x6a,0x5d,0xac,0x77,0x71,0x1d,0xb4,0x11,0xc0,0x06,0x49,
		0xee,0xe7,0x18,0x26,0x3a,0x5b,0x31,0x65,0x36,0x23,0xbd,0x78,0x17,0xd2,0xeb,0x2e,
		0x42,0x20,0x96,0x01,0x8c,0x00,0x60,0x37,0x05,0x65,0xeb,0x76,0xc6,0x7f,0x05,0x8f,
		0x0b,0xfd,0xd7,0xd4,0xe8,0x7c,0x61,0x42,0x4c,0x4a,0x21,0xb8,0xe9,0x61,0x54,0x96,
		0x6c,0x85,0x87,0xe2,0x10,0x1b,0xcb,0x22,0x4f,0xb5,0x1f,0xb2,0x43,0xe7,0xf0,0xd7,
		0x3a,0x04,0xc7,0xe0,0x07,0xc4,0x25,0x6e,0x81,0xa4,0xb4,0x1e,0x6c,0x72,0x36,0xfc,
		0x09,0x56,0x6c,0x46,0xb4,0xa9,0x4b,0x21,0x3a,0x72,0x09,0x67,0x5a,0xaf,0x43,0x7f,
		0x43,0x87,0xf7,0x1d,0xed,0xc8,0x2c,0xd9,0x8b,0x05,0x87,0x03,0xcb,0x13,0x06,0x94,
		0x97,0x48,0x31,0x6a,0x71,0xc2,0xea,0x64,0x21,0xe0,0xdc,0xa8,0x56,0xca,0x51,0xd6,
		0xfa,0x38,0x90,0x80,0xe6,0x26,0xf1,0xbc,0x51,0x85,0x3e,0xe7,0x36,0x28,0xeb,0xeb,
		0x51,0xb8,0x4f,0x81,0xc4,0xa4,0x24,0x88,0x24,0x12,0xf8,0x5a,0xdc,0xd3,0xfe,0x00,
		0x9f,0x9e,0x3e,0x81,0x2c,0x3b,0x07,0x35,0x5a,0x2d,0x2c,0xa6,0x11,0x74,0x69,0x4f,
		0xe1,0x42,0xb3,0x1a,0xf0,0xfa,0xee,0xc0,0xdb,0x7c,0xf7,0x1d,0x7a,0xa3,0x96,0x50,
		0x43,0x02,0xe8,0xd9,0xdd,0x7b,0x01,0x70,0xcd,0x6a,0x1f,0x1b,0xa7,0xf1,0xa1,0x61,
		0x3f,0xb2,0xb4,0xcc,0x91,0x26,0x37,0x8b,0x06,0x2e,0x57,0x12,0xcb,0xf0,0x6d,0x71,
		0xf5,0x3d,0x82,0xa1,0xeb,0x21,0xbe,0xcd,0x70,0x88,0x62,0x59,0x78,0xb9,0x95,0xb0,
		0x66,0xcd,0xda,0xa6,0xa0,0xab,0x3e,0x00,0x81,0xd7,0x83,0x1d,0x55,0x75,0x98,0xb5,
		0x5a,0x20,0x67,0x6c,0xd8,0x5e,0xae,0x05,0xe3,0x36,0xbf,0xa3,0x2e,0x4d,0x1d,0x8c,
		0x0b,0xa9,0x50,0x36,0x9c,0x45,0x52,0x8a,0x14,0xc5,0xaa,0x32,0xbe,0x74,0x2f,0x9c,
		0x3f,0x66,0x31,0xef,0xfc,0x8d,0x4e,0x9d,0x0e,0x19,0x9e,0x01,0xec,0x51,0xe4,0xc1,
		0xd8,0x3f,0x0a,0xd1,0xe6,0x38,0x28,0x4e,0x9c,0x46,0x72,0xed,0x15,0xc0,0x74,0xf3,
		0x38,0x69,0x32,0xa4,0x34,0xf9,0x75,0x6c,0x4d,0xc1,0x44,0xf7,0xcf,0x37,0x51,0xa3,
		0x54,0x4c,0x2d,0x69,0x42,0xea,0x50,0x8a,0xc9,0xf1,0xf2,0x36,0xd1,0xe2,0x1f,0xa2,
		0x39,0x2b,0x91,0x6b,0x26,0xa4,0x65,0x7f,0xd9,0xed,0x10,0x4a,0xd3,0x91,0x9a,0x9d,
		0x19,0x56,0xb6,0xef,0xe4,0x8a,0x82,0x68,0x1c,0x6c,0x6a,0x46,0x42,0x61,0x15,0xa2,
		0xd3,0x76,0x07,0xf8,0x18,0x61,0x98,0x2e,0x4a,0x9e,0x5f,0x04,0xb7,0xcd,0x0c,0x43,
		0x4f,0x6f,0x88,0xb0,0x98,0x47,0x30,0x3d,0xf8,0x19,0x59,0x3b,0x8b,0x20,0x3e,0x7a,
		0x75,0x35,0x38,0xa4,0x58,0x75,0x98,0xa5,0xef,0x26,0xea,0x6d,0xa9,0xc1,0x6b,0xc3,
		0x02,0x32,0x2a,0x6a,0x11,0x13,0x1f,0x8f,0x2f,0x6f,0x5f,0x41,0x21,0x77,0xe1,0x58,
		0x9b,0x1e,0xf1,0x05,0x55,0xab,0xea,0x08,0x9e,0xff,0x23,0x2d,0x59,0x8d,0x18,0xd5,
		0xdf,0xc2,0xd0,0x47,0x03,0x38,0xfe,0x05,0x72,0x8a,0x73,0x91,0x7f,0xb2,0x05,0xc2,
		0xa2,0xc3,0x11,0x42,0xc2,0xa1,0xc0,0x57,0x0e,0x62,0xf3,0x76,0x80,0xf8,0x27,0x14,
		0xa5,0xf0,0x33,0x10,0x1a,0x93,0x20,0x1b,0x71,0x0f,0x4f,0x10,0x51,0xb2,0x31,0xf8,
		0x0f,0xd7,0x04,0x30,0x0c,0x22,0x14,0x74,0x27,0x00,0x00,0x00,0x00,0x49,0x45,0x4e,
		0x44,0xae,0x42,0x60,0x82);
}
