/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.0";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.clip4e.com/";
	this.ID = "clip4e.com";
	this.caption = "Clip4e";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_GET_XML = "http://clip4e.com/getflv.php?id=%1";
	const URL_CONFIRM = "http://clip4e.com/%1";
	// init result
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// check if we are into "adult confirmation"
	if (strIndexOf(html, "adult_confirm.php") != -1)
	{
		// get the ID and confirm ;)
		var confirm = copyBetween(html, "document.location.href='", "'");
		html = http.downloadWebpage(strFormat(URL_CONFIRM, confirm));
	}
	// get video title
	result.title = copyBetween(html, "<TITLE>", "</TITLE>");
	// get the video ID
	var videoID = copyBetween(html, "\"cl_id\", \"", "\"");
	// get the xml
	var xml = http.downloadWebpage(strFormat(URL_GET_XML, videoID));
	// get flv url
	result.URL = cleanUrl(copyBetween(xml, "<url>", "</url>"));
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x02,0x5a,0x49,0x44,0x41,0x54,0x78,0x9c,0x7d,0x93,0x3f,0x4c,0x53,
		0x51,0x18,0xc5,0x7f,0xb7,0x94,0x57,0x0a,0xf2,0xa0,0x80,0x82,0x45,0x29,0x25,0xc2,
		0x33,0xd8,0xc4,0xaa,0x18,0x85,0xc1,0xc4,0x44,0x21,0xc6,0x8d,0x32,0x75,0x71,0x91,
		0xad,0x71,0x34,0x71,0xc0,0xb5,0xa3,0x0b,0x89,0x4c,0x6e,0xc6,0x85,0xe7,0x42,0x8c,
		0x8b,0x89,0x31,0x18,0x12,0x2b,0x8d,0x03,0xcf,0x98,0x16,0x93,0x47,0x0a,0xe5,0x5f,
		0xa1,0x6a,0xa1,0x54,0x29,0xbc,0xeb,0xf0,0xa0,0x50,0x69,0xfc,0xc6,0xef,0x7e,0xe7,
		0xe4,0x9c,0x93,0x73,0x05,0xff,0x19,0xcb,0x98,0x90,0x22,0xfd,0x0e,0xb6,0x16,0xec,
		0x45,0x7d,0x27,0x62,0x68,0x52,0x1c,0xbf,0x11,0x15,0x70,0x58,0xf1,0xa8,0x14,0xa6,
		0x0e,0xf5,0x9d,0xc8,0xf6,0x3b,0x58,0xcd,0x41,0x00,0x1c,0xcb,0xef,0x11,0xa6,0x6e,
		0x03,0x47,0x66,0x45,0x45,0x02,0x39,0x35,0x28,0x01,0xf6,0xfa,0x9f,0x21,0xd4,0x2e,
		0xf2,0xbf,0x32,0xe4,0x0a,0x16,0x00,0x6d,0xa7,0x9b,0xa9,0x72,0xd5,0x22,0x3e,0x46,
		0x60,0xfd,0x33,0x62,0x64,0x56,0x94,0x11,0xc8,0xc9,0x3e,0x29,0xfd,0x21,0xb8,0xf2,
		0x98,0xf4,0xd2,0x22,0x46,0x62,0x91,0x7c,0x2e,0x7b,0x24,0x57,0xa9,0x23,0xd0,0xdd,
		0x4e,0x77,0x4f,0x0f,0xe2,0xcd,0x3d,0xa4,0x7f,0xf8,0x48,0x81,0x9c,0x1a,0x94,0xd2,
		0x3f,0x8c,0xd5,0xf3,0x80,0xe9,0xd8,0x1c,0x9b,0x6b,0x2b,0x08,0xf6,0x4e,0xd8,0x93,
		0x38,0xb9,0x71,0xfd,0x32,0x67,0xab,0x57,0xa9,0x9a,0x7d,0x8a,0xe3,0xd0,0x33,0x8a,
		0x0a,0xbd,0xa3,0x4c,0xc7,0xe6,0xc8,0xae,0x2d,0x56,0x04,0xdb,0x9e,0xf7,0xf8,0x9e,
		0x5a,0x47,0x36,0x5e,0x02,0xc0,0x09,0x20,0x4c,0x9d,0xe2,0xe0,0x14,0x66,0x32,0x89,
		0xf1,0xe5,0x13,0xe3,0xe3,0xe3,0x04,0x02,0x01,0xfc,0x7e,0x3f,0xc1,0x60,0x10,0xb7,
		0xdb,0x5d,0x46,0x92,0xfd,0x91,0x43,0x16,0xb7,0x41,0x51,0x71,0x5a,0xc6,0x84,0x24,
		0x13,0x43,0x54,0x9f,0xc2,0x98,0xff,0x8a,0xd7,0xeb,0x25,0x10,0x08,0xa0,0xeb,0x7a,
		0x09,0xa0,0x69,0x5a,0x89,0xd0,0xe7,0xf3,0xe1,0xed,0x6c,0xb0,0x1f,0x14,0x15,0x87,
		0xc8,0xc4,0xb0,0xda,0x87,0x58,0xcd,0x6c,0x22,0x77,0xf3,0x00,0x84,0xc3,0x61,0x34,
		0x4d,0x2b,0x11,0x24,0x12,0x09,0x74,0x5d,0xc7,0x34,0x4d,0x3c,0x1e,0x0f,0x4d,0x1e,
		0x95,0xfd,0x9d,0x0c,0xb8,0x5b,0x71,0xb2,0xbd,0x84,0xd5,0x72,0x95,0x9d,0xf5,0x42,
		0x45,0xcf,0x87,0x0a,0x22,0x91,0x08,0x5e,0xaf,0x17,0x89,0x93,0x0b,0x1d,0x67,0x70,
		0xa5,0x5f,0x21,0x6e,0x46,0x85,0x13,0x00,0x6b,0x17,0xec,0x3c,0x4b,0x49,0x27,0x12,
		0x09,0x00,0x42,0xa1,0x10,0xe1,0x70,0xb8,0xf4,0x56,0xa7,0x36,0xd1,0xa2,0xe4,0x10,
		0xf9,0xd4,0x41,0x88,0x8a,0x8a,0x23,0x6b,0xd0,0xd6,0xdc,0xcf,0xdc,0xc1,0xd1,0xca,
		0x72,0x0a,0x4d,0xd3,0x18,0x1b,0x1b,0x2b,0x0f,0x50,0x69,0x60,0x20,0xe8,0xa3,0xe6,
		0x5b,0x14,0x71,0xeb,0xb9,0xdd,0x44,0xcb,0x98,0x90,0xc2,0x7c,0x8d,0xbc,0xff,0x96,
		0x0f,0x33,0x71,0x36,0xd7,0x56,0xf8,0x5d,0xd8,0x2a,0x03,0x4a,0x9c,0xd4,0xa9,0x4d,
		0x0c,0x04,0x7d,0xd4,0xa7,0x5e,0xe2,0xb8,0xf6,0xa4,0xd4,0x1f,0x01,0x07,0x0d,0xbc,
		0xf8,0x10,0x7a,0x47,0x99,0x4f,0x26,0x31,0xe6,0xd3,0x25,0x70,0x6d,0x8d,0x8b,0xae,
		0xf3,0x2d,0x74,0x34,0x16,0xa9,0x59,0xb0,0x7d,0x1f,0xcf,0xe7,0xa8,0x89,0x93,0x7d,
		0x92,0x73,0x77,0x29,0xf6,0x3e,0x02,0xa0,0xf0,0xa7,0x68,0xab,0xde,0xff,0x89,0x6b,
		0x63,0x06,0x91,0x89,0x21,0x6e,0xbf,0x38,0xf1,0x77,0xca,0x16,0x56,0x3c,0x2a,0xc5,
		0x46,0x1c,0x14,0x15,0xdc,0xad,0xc8,0x6a,0x15,0xa0,0x4c,0xf2,0xbf,0xf3,0x17,0x33,
		0x59,0xdc,0x6d,0xe6,0xb3,0x56,0x07,0x00,0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,
		0x42,0x60,0x82);
}
