/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.1";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.dalealplay.com/";
	this.ID = "dalealplay.com";
	this.caption = "DaleAlPlay";
	this.adultContent = true;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_GET_FLV = "http://videos.dalealplay.com/contenidos/%1";
	// video information
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url, false);
	// get video title
	result.title = copyBetween(html, "<title>", "- www.dalealplay.com</title>");
	// get the video path
	var videoPath = copyBetween(html, "file=", "&");
	// build url
	result.URL = cleanUrl(strFormat(URL_GET_FLV, videoPath));
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x01,0x25,0x49,0x44,0x41,0x54,0x78,0x9c,0x63,0xfc,0xff,0xff,0xff,
		0x7f,0x06,0x0a,0x00,0x0b,0x03,0x03,0x03,0xc3,0x87,0x67,0x6f,0x19,0x0e,0xce,0xda,
		0xc6,0x70,0x7a,0xf5,0x21,0x86,0x67,0xd7,0x1e,0x12,0xd4,0x24,0xa5,0x25,0xcf,0x60,
		0x1a,0x6a,0xc7,0x60,0x9f,0xe6,0xc5,0xc0,0xf8,0xff,0xff,0xff,0xff,0x1b,0x1b,0x16,
		0x33,0x6c,0x6c,0x5c,0x4c,0xb2,0xed,0xfe,0xf5,0xb1,0x10,0x17,0x9c,0x5e,0x7d,0x08,
		0x45,0x22,0xb2,0x3f,0x83,0xe1,0xdb,0xc7,0xaf,0x0c,0xbb,0x27,0xac,0x67,0xf8,0xf6,
		0xe1,0x0b,0x4e,0x03,0x4e,0xaf,0x3e,0x04,0x71,0x41,0x12,0xa3,0x1b,0x8a,0xc4,0xbc,
		0xff,0xbb,0x18,0x18,0x18,0x18,0x18,0xbe,0x7d,0xf8,0xc2,0xb0,0xbc,0x70,0x06,0xc3,
		0xd1,0x05,0xbb,0x70,0x1a,0xc2,0x84,0xcf,0x89,0x5c,0x02,0x3c,0x0c,0xc9,0xf3,0x4b,
		0x18,0x1a,0xce,0x4f,0x67,0xd0,0x70,0xd0,0x27,0xdd,0x00,0x18,0x90,0x33,0x50,0x66,
		0x28,0xdb,0xdf,0xcd,0x90,0xb3,0xbe,0x81,0x41,0x44,0x41,0x9c,0x74,0x03,0x60,0xc0,
		0x28,0xc0,0x8a,0xa1,0xeb,0xfe,0x62,0x06,0xff,0x86,0x58,0xf2,0x0c,0x80,0x01,0xff,
		0x7a,0x84,0x01,0x2c,0xa4,0x6a,0x7e,0xf3,0xe0,0x25,0xc3,0x8a,0xc2,0xe9,0xa4,0x1b,
		0xf0,0xed,0xc3,0x17,0x86,0xdd,0x13,0xd7,0x63,0x44,0x2d,0x51,0x06,0x1c,0x5d,0xb0,
		0x8b,0x61,0x63,0xe3,0x62,0x86,0x37,0x0f,0x5e,0x62,0xc8,0xe1,0x35,0xe0,0xc6,0x81,
		0x8b,0x0c,0x9b,0x1a,0x97,0x30,0xdc,0x38,0x70,0x11,0xa7,0x1a,0x16,0x06,0x06,0x48,
		0xda,0x46,0xce,0x03,0x73,0x13,0x7b,0xe0,0x36,0xe3,0x03,0x52,0x5a,0xf2,0x90,0x58,
		0x30,0x0d,0xb5,0xc3,0x70,0x32,0x21,0xcd,0x30,0x7d,0x2c,0x0c,0x0c,0x0c,0x0c,0xf6,
		0x69,0x5e,0x0c,0x0c,0x0c,0x0c,0x64,0xe5,0x46,0x00,0xcc,0x17,0x71,0x39,0x18,0x10,
		0x08,0xff,0x00,0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
