/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.0";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.gamespot.com/";
	this.ID = "gamespot.com";
	this.caption = "GameSpot";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	// init result
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get the video title
	result.title = copyBetween(html, "<title>GameSpot Video:", "</title>");
	// get the xml url
	var xml_url = cleanUrl(copyBetween(html, "paramsURI=", "\""));
	// download xml
	var xml = http.downloadWebpage(xml_url);
	// get flv url
	result.URL = copyBetween(xml, "<URI>", "</URI>");
	// if we are watching this video in HD, we should download the HD version
	if (getUrlParam(url, "hd") == "1") // is HD
		result.URL = strReplace(result.URL, "_400.flv", "_1400.flv");
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x01,0xf4,0x49,0x44,0x41,0x54,0x78,0x9c,0xad,0x92,0x4d,0x6b,0x53,
		0x41,0x14,0x86,0x9f,0xb9,0x57,0xd4,0x14,0x13,0xa9,0x48,0xad,0x46,0x88,0x1f,0x58,
		0xa1,0xb1,0x54,0xb4,0x0b,0x3f,0xb0,0x3b,0xe9,0x26,0x8b,0xe2,0x42,0x74,0xd3,0x55,
		0x40,0x04,0x71,0x95,0x85,0x9b,0x86,0x82,0x3f,0xc1,0x5f,0x60,0x41,0xb4,0x1b,0x41,
		0x05,0x71,0xdb,0xba,0x72,0x59,0x4d,0x44,0xd3,0x34,0x4d,0x9a,0x34,0x37,0x1f,0xd4,
		0x7c,0xb5,0x49,0x1a,0xdb,0x99,0x2e,0x26,0xb9,0x49,0x6e,0x96,0x7a,0x36,0x33,0x73,
		0x38,0xef,0x73,0x5e,0xce,0x1c,0xf8,0xc7,0x10,0xce,0x84,0x5b,0x08,0xf5,0xd9,0xef,
		0x67,0xc2,0x75,0x54,0x17,0xe4,0x4b,0x98,0x99,0x4d,0xd6,0x90,0xcc,0x20,0x28,0x48,
		0xd9,0xa7,0x39,0xd2,0xfb,0x18,0x31,0x0c,0xb5,0x71,0x77,0x9a,0x9a,0xcf,0x44,0x84,
		0x3c,0xb8,0x2f,0x9a,0x00,0x94,0x57,0x4e,0x70,0xf2,0x59,0x9c,0x44,0xba,0xc5,0x84,
		0x10,0x6a,0x43,0x29,0x1b,0x22,0x9c,0xe2,0xfd,0x57,0xc3,0xb8,0xc7,0xaf,0x74,0xa9,
		0x8d,0x84,0x2e,0x6c,0xa5,0x91,0xeb,0xab,0x7c,0xbf,0xb3,0xc7,0x03,0x05,0x1d,0x88,
		0xd1,0xb1,0x1d,0xbb,0x79,0x7d,0x50,0x0c,0xe0,0xba,0x64,0x5f,0x8d,0x91,0x21,0xc6,
		0x3e,0x08,0xde,0x0b,0xdd,0xd0,0x06,0x2c,0x9a,0xda,0x88,0xc7,0x9b,0xb5,0x3b,0x06,
		0x9f,0x14,0x08,0xcc,0x46,0x99,0xba,0xbd,0xc2,0xe8,0xd8,0x37,0xc2,0x2f,0xeb,0x36,
		0x28,0x35,0xa9,0x98,0x57,0xb2,0x3b,0x83,0x49,0xef,0x31,0xfe,0x06,0x9a,0xa8,0x62,
		0x0b,0xbc,0x10,0x98,0x8d,0x02,0x30,0x75,0xe3,0x34,0x0b,0x61,0x3f,0x00,0xd9,0xec,
		0x34,0xc8,0x39,0x00,0x7c,0x8f,0x41,0xfd,0x30,0x60,0x5f,0x6a,0x07,0x95,0x74,0x93,
		0x53,0x33,0xba,0xf3,0x9b,0x25,0x3d,0xfd,0x5c,0x7e,0x9b,0x85,0xf0,0x19,0x68,0x24,
		0x10,0x95,0x65,0xbc,0x72,0x0e,0x59,0xe8,0xba,0xc8,0x1c,0xf4,0x38,0x00,0x68,0x16,
		0x5b,0x1c,0x27,0x4e,0x2c,0x22,0xf8,0xf5,0x7b,0x4f,0x0f,0xae,0xb2,0x8c,0x2a,0xee,
		0x22,0xc6,0x23,0x00,0xc8,0x9f,0xd7,0xc8,0xaf,0x45,0x68,0xfe,0xe9,0x8e,0xc8,0x00,
		0x48,0x1a,0x82,0x6a,0x4a,0x43,0x5e,0xdc,0x8f,0x92,0x4a,0x67,0xc9,0x59,0x5b,0x2c,
		0xbd,0x4e,0xa0,0xaa,0x71,0xbb,0xb8,0xbc,0x2e,0xa8,0x58,0x50,0xaa,0x3a,0x00,0x99,
		0x03,0x49,0xee,0xb9,0xa2,0x9a,0xd2,0xc9,0x4f,0xc1,0x1d,0xea,0xf5,0x5d,0x1e,0x85,
		0x8a,0x98,0xb7,0x9a,0x76,0x71,0x69,0x67,0x08,0x2b,0x09,0x85,0x8f,0x60,0xb5,0x37,
		0x40,0x74,0xbe,0x71,0xd1,0x14,0x8c,0x86,0x24,0x17,0xce,0x1b,0xfa,0x47,0x7c,0x60,
		0x15,0x1f,0x62,0x9d,0xbd,0xca,0xb9,0xf2,0x17,0x6a,0xdb,0x79,0x1a,0x99,0x24,0x9b,
		0x29,0x58,0x7d,0x27,0x78,0x8b,0xde,0x85,0xbe,0x45,0x9a,0x57,0x92,0xcb,0x4f,0xf5,
		0x7b,0xd8,0xd3,0xee,0xda,0xb6,0x5b,0x2b,0xe9,0xb3,0x57,0x6c,0x3b,0x70,0x42,0xdc,
		0x5e,0x70,0xdd,0xa3,0x2f,0x1a,0x5f,0x21,0xb6,0xd5,0x2f,0x1e,0x00,0x74,0x20,0x41,
		0xa5,0x9c,0x69,0x80,0x01,0xf1,0x7f,0x89,0x43,0xe3,0xd7,0xd9,0x3f,0xdc,0x7d,0x52,
		0x5c,0x00,0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
