/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.0";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.gametrailers.com/";
	this.ID = "gametrailers.com";
	this.caption = "GameTrailers";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_GET_FLV = "http://films.cinemavip.com/contenidos/cinemavip/%1";
	// video information
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get video title
	result.title = copyBetween(html, "class=\"GameTitle\">", "</a>");
	// get flv url
	result.URL = copyBetween(html, "<span class=\"Downloads\">", "</span>");
	result.URL = copyBetween(result.URL, "href=\"", "\"");
	result.URL = strReplace(result.URL, ".mov", ".wmv");
	// clear and get the final url
	result.URL = cleanUrl(result.URL);
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x01,0xb2,0x49,0x44,0x41,0x54,0x78,0x9c,0xa5,0x93,0xbf,0x6b,0x53,
		0x51,0x14,0xc7,0x3f,0xf5,0x47,0x0b,0xe1,0xfa,0x4a,0x05,0xe1,0x0a,0x35,0xcb,0x0b,
		0x3a,0x09,0x17,0x13,0x9d,0x42,0xc8,0x54,0x4a,0x1f,0xfe,0x03,0xba,0x66,0x29,0x45,
		0x3b,0xd4,0xc9,0x2c,0x5d,0xdc,0x93,0x38,0xb8,0x98,0x7f,0xc0,0x39,0x81,0x92,0x29,
		0x71,0x2d,0x94,0xb7,0xda,0x18,0x04,0x29,0x7a,0xb0,0x60,0xe0,0x71,0x26,0x1d,0xea,
		0xf0,0xf2,0xee,0x4b,0x4c,0x07,0xa5,0x5f,0xb8,0xc3,0x3d,0xf7,0x7c,0xbf,0xe7,0x7b,
		0xee,0x3d,0x77,0x85,0x9d,0x83,0x0b,0xae,0x80,0x1b,0x00,0xd8,0x90,0xed,0x8d,0x5d,
		0x00,0x8e,0xd6,0x06,0x74,0xec,0x27,0x82,0xe0,0xf6,0x52,0xf2,0xf1,0xf4,0x39,0x93,
		0x33,0x38,0x9a,0xbe,0x4b,0x03,0x32,0x99,0x09,0x90,0x06,0x0f,0x8b,0x3f,0xa8,0xad,
		0xae,0x52,0x2a,0x39,0x8c,0x31,0x58,0x6b,0xd3,0x3c,0x11,0x54,0x95,0x07,0xc9,0x5b,
		0xd8,0x7c,0x01,0xd3,0xbf,0x1c,0x6c,0x6f,0xec,0x12,0x6e,0xc2,0xaf,0xf3,0x26,0xf5,
		0x7a,0x9d,0x20,0x08,0x00,0x50,0x55,0x00,0x8c,0x31,0x18,0x63,0x28,0x14,0x0a,0xc8,
		0xa0,0xc9,0xde,0xc3,0x37,0xa9,0x13,0x79,0xc5,0xb5,0x4c,0xe9,0xfa,0x97,0x7d,0x9c,
		0x73,0x00,0x24,0x49,0x82,0xaa,0x2e,0xac,0x24,0x49,0x00,0x70,0xce,0xb1,0x7e,0xde,
		0xf4,0x0e,0x56,0xd8,0x39,0xb8,0x78,0xed,0xd6,0x10,0x11,0xe2,0x38,0xfe,0xaf,0x0b,
		0x3c,0xa1,0x98,0xb6,0xa0,0xaa,0x38,0xe7,0xe8,0x76,0xbb,0xff,0x4c,0x2e,0x97,0xcb,
		0xf9,0x1d,0x88,0x08,0xed,0x76,0x1b,0x80,0x28,0x8a,0x2e,0x25,0xf4,0xfb,0xfd,0x05,
		0x22,0x00,0xdf,0x67,0x02,0xc6,0x18,0x1f,0x53,0x55,0x46,0xa3,0x91,0xdf,0x47,0x51,
		0xb4,0x74,0xee,0x71,0x97,0xbc,0x85,0xf1,0x78,0xec,0x13,0xa2,0x28,0xa2,0xd5,0x6a,
		0x2d,0x10,0xb2,0xf3,0x0c,0xa7,0xa5,0xa7,0xf9,0x1c,0x88,0x08,0x8d,0x46,0x83,0x5e,
		0xaf,0xc7,0x70,0x38,0xf4,0x49,0x95,0x4a,0x05,0x00,0x6b,0xad,0x9f,0x09,0x55,0x4d,
		0x1d,0xd9,0x10,0x98,0xbd,0x02,0x36,0xe4,0x51,0xfc,0xde,0x3f,0xd9,0x3c,0x2e,0xb3,
		0xff,0xcd,0x3e,0xe1,0x65,0xb5,0x48,0xe7,0xf3,0xcd,0x7c,0x12,0x4f,0x5c,0x03,0xe2,
		0x01,0x35,0xfb,0x73,0x49,0xc0,0x18,0xe3,0xc5,0x45,0x04,0x6c,0x48,0x47,0x43,0x60,
		0x92,0xff,0x85,0xbd,0x3b,0x5b,0xac,0xdb,0x33,0xe2,0x38,0xf6,0xa4,0xf9,0xea,0xd9,
		0x38,0x57,0xab,0x55,0x9e,0x15,0x6f,0x71,0xf8,0x95,0xc5,0x16,0x00,0xff,0xa1,0xee,
		0xff,0xde,0x47,0x44,0xf8,0xa0,0xf7,0xa8,0xe9,0x31,0x1f,0xcd,0x63,0xb2,0x42,0xb9,
		0xe2,0x64,0x4e,0xe0,0x0a,0xf8,0x03,0x93,0x6a,0xbb,0xad,0x5b,0x73,0x88,0x51,0x00,
		0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
