/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.2";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.metacafe.com/";
	this.ID = "metacafe.com";
	this.caption = "Metacafe";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_GET_FLV = "%1?__gda__=%2&";
	// video information
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get the video title
	result.title = copyBetween(html, "<title>", "- Video</title>");
	// get the flv url and params
	flv_url = cleanUrl(copyBetween(html, "mediaURL=", "&"));
	gda = copyBetween(html, "gdaKey=", "&");
	// build final url
	result.URL = strFormat(URL_GET_FLV, flv_url, gda);
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x00,0xf1,0x49,0x44,0x41,0x54,0x78,0x9c,0xa5,0x92,0xb1,0x51,0xc4,
		0x30,0x10,0x45,0x9f,0x6e,0xc8,0x7c,0x81,0xdd,0xc1,0x7a,0x70,0x01,0xa6,0x03,0x2e,
		0xc1,0x21,0xee,0xe0,0x86,0x0e,0xdc,0x81,0xe4,0x4a,0xa8,0x03,0x22,0x4a,0x70,0x01,
		0xc7,0x48,0x1d,0xd8,0x81,0x88,0x45,0x80,0x05,0xc2,0x0c,0xe0,0x3b,0x6b,0x46,0x33,
		0x9b,0xec,0xd3,0xfb,0xbb,0x52,0x21,0x04,0xb6,0x9c,0xdd,0xa6,0x6e,0x80,0x73,0x0c,
		0xbc,0x96,0xce,0x6b,0xb1,0x5b,0x0c,0x8e,0x80,0x78,0x2d,0xf5,0xd9,0x00,0xaf,0x45,
		0x80,0xd8,0xd8,0x5e,0x62,0xd0,0x26,0xf5,0xfd,0x25,0x80,0x63,0x52,0xd7,0xb3,0xd1,
		0x3a,0x80,0xd7,0x92,0xf3,0xa5,0xff,0xcd,0x68,0xad,0x41,0xaa,0x3f,0xa5,0x46,0x3b,
		0xf8,0x58,0xe5,0x5f,0x37,0xd1,0x77,0x99,0xb1,0x45,0x1a,0xe3,0x0a,0xe0,0xcd,0x94,
		0x23,0x90,0xff,0xa7,0x91,0x19,0x5b,0x2e,0xcd,0x62,0x84,0x03,0x30,0xac,0xc9,0x32,
		0x35,0xd5,0x98,0x19,0xab,0x62,0x0c,0x15,0x42,0x40,0x29,0x15,0x07,0xa5,0x81,0x6e,
		0xf1,0xaa,0x4a,0x9a,0x2d,0x20,0x80,0xcb,0x9f,0x4e,0xe5,0xd4,0x54,0xdd,0x27,0x20,
		0x1e,0xaf,0xa5,0x05,0x1e,0x93,0x48,0x43,0x66,0xec,0xcd,0xd4,0x54,0xcb,0x3f,0x3f,
		0x00,0x0f,0x3f,0x00,0x33,0x44,0x66,0xc8,0x6d,0x6a,0x92,0x40,0xa6,0xe2,0xf9,0xb5,
		0x80,0x5f,0xd6,0xb8,0xef,0x9d,0xdb,0xf7,0xee,0x00,0xf4,0xcb,0x11,0x00,0x2f,0x40,
		0x3e,0xde,0x5d,0xd7,0x00,0xef,0x9e,0xb3,0x68,0xd2,0xf5,0x42,0x62,0xa0,0x00,0x00,
		0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
