/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.1";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.myspass.de/";
	this.ID = "myspass.de";
	this.caption = "MySpass";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_GET_XML = "http://www.myspass.de/myspass/includes/apps/video/getvideometadataxml.php?id=%1";
	// video information
	var result = new VideoDefinition();
	// get id
	var id = getToken(url, "/", getTokenCount(url, "/") - 2); //getUrlParam(url, "id");
	// download xml
	var http = new Http();
	var xml = http.downloadWebpage(strFormat(URL_GET_XML, id));
	// get video information
	result.title = copyBetween(xml, "<title><![CDATA[", "]");
	result.URL = copyBetween(xml, "<url_flv><![CDATA[", "]");
	// clear and get the final url
	result.URL = cleanUrl(result.URL);
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x02,0xde,0x49,0x44,0x41,0x54,0x78,0x9c,0x75,0x90,0xcb,0x6b,0x9c,
		0x65,0x14,0xc6,0x7f,0xe7,0x7c,0xdf,0x37,0x33,0xc9,0x98,0xc1,0xb4,0x48,0x3a,0x12,
		0x49,0xbd,0xc4,0xa9,0x9d,0x06,0x35,0xa9,0xb4,0x8a,0x16,0x5c,0x48,0x53,0xbc,0xa0,
		0x52,0xa8,0x82,0x94,0xd9,0x88,0xb6,0x71,0xe3,0x3f,0xe0,0x9f,0x20,0x6e,0xda,0x75,
		0xa8,0xa8,0x0b,0x41,0xea,0x25,0x88,0x25,0xf5,0x46,0xe9,0xa2,0x60,0x57,0x09,0x36,
		0xc1,0x92,0xda,0xc4,0x84,0x09,0x19,0xcd,0x64,0x26,0x99,0xef,0xf2,0x7e,0xef,0x71,
		0x11,0x6b,0xdd,0xf8,0x3b,0x3c,0xcb,0xe7,0x39,0xe7,0x3c,0xe2,0x2e,0x9d,0x04,0xcb,
		0xc0,0x1c,0x50,0xaa,0xb0,0x72,0xf3,0x2c,0xbd,0xe6,0x69,0x8a,0xf7,0xd4,0xd0,0x48,
		0x71,0x09,0xc4,0x9b,0xde,0x4c,0x16,0xa4,0x32,0x72,0x81,0xc8,0xce,0xb3,0xdd,0xdc,
		0xc2,0x2b,0x26,0x21,0xe2,0x2e,0xbf,0xbe,0x1b,0xb0,0x53,0x1a,0x67,0xf9,0xda,0xb4,
		0x3c,0x70,0xb8,0xce,0xf0,0x11,0xb5,0xed,0x55,0xe8,0xae,0x20,0x49,0x1b,0xcb,0x52,
		0x24,0xee,0x60,0xeb,0xbf,0x79,0x82,0xca,0x3c,0xc3,0x13,0x0d,0x5a,0x73,0xd7,0x91,
		0x02,0xe2,0xbe,0x7f,0x05,0xdc,0xd0,0x04,0x4b,0x33,0x33,0x72,0xe4,0xfd,0x21,0xa3,
		0x0b,0xbf,0x5f,0x84,0xce,0x1f,0x90,0x26,0x90,0x65,0x90,0x39,0xf0,0x11,0x44,0xf7,
		0x42,0xaf,0x0b,0x4e,0x9b,0x76,0xf0,0xd5,0x17,0xa5,0x75,0xe3,0x17,0xc9,0x7e,0x7c,
		0x6b,0x40,0x96,0xae,0x5c,0x95,0xa3,0x67,0x0e,0x99,0x5b,0xc7,0x56,0x2e,0x82,0xf3,
		0x90,0x3a,0x24,0xcb,0x20,0x49,0x21,0xcd,0x20,0xed,0x41,0xe2,0x80,0x3e,0x2c,0x71,
		0x50,0xae,0xce,0x31,0xf2,0xec,0x33,0x4a,0x6b,0x6d,0x8a,0xda,0x58,0x9d,0x81,0x22,
		0xb6,0x35,0x0b,0xfd,0x65,0x28,0x14,0x91,0x42,0x08,0x41,0x08,0x51,0x00,0x51,0x08,
		0x41,0x01,0x8b,0x14,0x72,0x4f,0x70,0xec,0x03,0x64,0x73,0xb5,0xce,0x4e,0x6b,0x4a,
		0xe9,0x2c,0x36,0xa4,0x7a,0x4c,0xac,0xf5,0x1d,0xa2,0x05,0x44,0x14,0x09,0x14,0x44,
		0x21,0x10,0x90,0x00,0x54,0x20,0x50,0x44,0x15,0x06,0xee,0x47,0xc6,0xa7,0xb0,0xfd,
		0xcf,0x0b,0xeb,0x73,0x0d,0x25,0x6f,0x8f,0xd2,0x6b,0x41,0xb7,0x09,0xb9,0xc3,0xbc,
		0x07,0x33,0x0c,0x30,0x11,0x44,0x04,0x50,0x4c,0x04,0x72,0x90,0xa7,0xa6,0xa0,0x34,
		0x88,0x3e,0xfa,0x02,0x74,0x9a,0xa3,0x2a,0xce,0xa9,0x94,0x46,0xb1,0x38,0x85,0x34,
		0x45,0x32,0x87,0xcf,0x1d,0x92,0xe7,0x88,0xf7,0x98,0x19,0x60,0x90,0x3b,0x18,0x99,
		0x44,0xc6,0xde,0xc1,0x30,0x64,0xef,0x41,0xf0,0x4e,0x95,0xde,0x0e,0x94,0xeb,0xe8,
		0xa1,0x0f,0xb1,0xbc,0x84,0xf5,0xda,0x48,0x9a,0x61,0x79,0x0e,0xb9,0x81,0x4b,0xb1,
		0x2c,0x46,0x1f,0x39,0x85,0x1e,0xff,0x18,0xa2,0x32,0xc2,0x5d,0x42,0xcb,0x02,0x6f,
		0xcd,0x6b,0x2a,0x63,0xef,0x11,0x3c,0xf7,0x24,0xb6,0xfc,0x05,0xb6,0x76,0x19,0xe9,
		0xae,0x82,0x96,0xa0,0x52,0x47,0x1f,0x7a,0x03,0xee,0x3b,0x8c,0x68,0xf8,0xaf,0xd1,
		0xfe,0x5c,0x40,0x34,0xf4,0x92,0x7e,0x54,0xbd,0xa1,0xc3,0x4f,0xd4,0xf4,0xb5,0x2f,
		0x41,0xc3,0xdd,0x74,0x9f,0x63,0x3e,0x01,0xd9,0x6d,0xff,0x0e,0x72,0x67,0x77,0x9e,
		0xe1,0x3f,0x7b,0x89,0x7c,0x63,0x6e,0x41,0x6d,0xdf,0xc4,0x34,0x8b,0xb3,0xc6,0xda,
		0xd5,0xbb,0xa7,0x69,0x88,0x84,0x65,0x24,0x28,0x22,0xff,0x19,0xc3,0x30,0x33,0x6c,
		0xf9,0x67,0x6c,0xe9,0x07,0xf3,0xc3,0x4f,0x4f,0xab,0x0d,0x3d,0x7e,0xce,0xf7,0x0d,
		0xcd,0xfb,0xaf,0xcf,0x60,0xdd,0xdb,0x18,0xff,0x8f,0x00,0xb4,0x97,0xf0,0x5f,0xbd,
		0x8b,0xaf,0xec,0x9b,0xa7,0x7a,0xf4,0x9c,0x06,0x2e,0xee,0x24,0x07,0x4e,0x35,0xac,
		0xbd,0xda,0xf4,0x9f,0x9e,0x80,0xb5,0x2b,0xe0,0xb3,0xdd,0x3f,0xff,0x11,0x80,0xf9,
		0x0c,0x5b,0xfe,0x09,0xff,0xc9,0x24,0x16,0x6f,0x34,0x93,0xc7,0xde,0x6c,0x84,0xd9,
		0x56,0x47,0xd2,0x6f,0xde,0x46,0x4a,0x83,0x64,0x71,0x67,0xbc,0x70,0x73,0x66,0x9a,
		0x6e,0xb3,0xce,0x81,0xe3,0x2a,0xa3,0x27,0x60,0x4f,0x0d,0x31,0xb0,0xd6,0xaf,0xb0,
		0xf8,0x2d,0xb6,0x78,0xc9,0x4b,0xa5,0x3a,0x9f,0x3c,0xfc,0x72,0xa3,0xd0,0x3f,0x78,
		0xdd,0xe2,0x4d,0x24,0xfd,0xfc,0x24,0xd2,0x37,0x08,0xc5,0x0a,0x12,0xf5,0x55,0xb8,
		0x35,0x7b,0x96,0xbf,0x6e,0x9d,0x66,0x7b,0xa3,0x86,0x38,0xc5,0x00,0x89,0xbc,0xf5,
		0xef,0x5d,0x90,0x3d,0xfb,0x2f,0xf0,0xe0,0xe4,0x79,0xb2,0x78,0xcb,0xd2,0x2e,0x16,
		0x6f,0xf2,0x37,0x18,0x7a,0x62,0x87,0x89,0x9b,0x99,0x63,0x00,0x00,0x00,0x00,0x49,
		0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
