/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.1";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.redtube.com/";
	this.ID = "redtube.com";
	this.caption = "RedTube";
	this.adultContent = true;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	// video information
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	// download html
	var html = http.downloadWebpage(url);
	// get video information
	result.title = copyBetween(html, "<h1 class='videoTitle'>", "</td>");
	result.URL = generateUrl(copyBetween(url + "/", ".com/", "/"));
	// return the video information
	return result;
}

function generateUrl(id)
{
	var l1, l2, l5, l6, l7, l8, l9;

	// first param
	l1 = id.toString();
	l2 = (Math.floor(parseFloat(l1) / 1000)).toString();
	l1 = strRemove("0000000", 0, l1.length) + l1;
	l2 = strRemove("0000000", 0, l2.length) + l2;
	// second param
	l5 = new Array("R", "1", "5", "3", "4", "2", "O", "7", "K", "9", "H", "B",
				   "C", "D", "X", "F", "G", "A", "I", "J", "8", "L", "M", "Z",
				   "6", "P", "Q", "0", "S", "T", "U", "V", "W", "E", "Y", "N");
	l7 = 0;
	for (var n = 0; n < 7; n++)
		l7 = l7 + parseInt(l1.charAt(n)) * (n + 1);
	l8 = l7.toString();
	l7 = 0;
	for (var n = 0; n < l8.length; n++)
		l7 = l7 + parseInt(l8.charAt(n));
	l9 = l7 >= 10 ? l7.toString() : "0" + l7;
	// generate FLV name
	l6 = "";
	l6 = l6 + l5[l1.charCodeAt(3) - 48 + l7 + 3];
	l6 = l6 + l9.charAt(1);
	l6 = l6 + l5[l1.charCodeAt(0) - 48 + l7 + 2];
	l6 = l6 + l5[l1.charCodeAt(2) - 48 + l7 + 1];
	l6 = l6 + l5[l1.charCodeAt(5) - 48 + l7 + 6];
	l6 = l6 + l5[l1.charCodeAt(1) - 48 + l7 + 5];
	l6 = l6 + l9.charAt(0);
	l6 = l6 + l5[l1.charCodeAt(4) - 48 + l7 + 7];
	l6 = l6 + l5[l1.charCodeAt(6) - 48 + l7 + 4];
	// return final url
	return strFormat("http://dl.redtube.com/_videos_t4vn23s9jc5498tgj49icfj4678/%1/%2.flv?start=0", l2, l6);
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,0x13,0x00,0x00,0x0b,
		0x13,0x01,0x00,0x9a,0x9c,0x18,0x00,0x00,0x02,0x9d,0x49,0x44,0x41,0x54,0x38,0x11,
		0x4d,0x53,0x3b,0x6b,0x54,0x41,0x18,0x3d,0x33,0xf7,0xee,0x06,0xb3,0xd9,0xdd,0x14,
		0x3e,0xa2,0x22,0x41,0x11,0x13,0x37,0x29,0x04,0x85,0x10,0xad,0x6c,0x45,0x44,0xf1,
		0x07,0xf8,0x0f,0x84,0x60,0xa3,0x85,0x8d,0x16,0x62,0xad,0x85,0xd8,0xa8,0x9d,0x85,
		0x60,0x67,0x23,0xb1,0x0b,0xa8,0x60,0x1b,0x8d,0x8a,0x8f,0xbc,0x34,0xd1,0xb8,0xd9,
		0xe7,0xbd,0x77,0xe6,0xce,0x8c,0x67,0x66,0xb3,0xab,0x1f,0x7c,0xf7,0x31,0x33,0xdf,
		0x39,0xe7,0x7b,0x8c,0x70,0x4a,0xb9,0xe4,0xc6,0x4d,0xd8,0xcd,0x5f,0x90,0x52,0x40,
		0x1a,0x07,0x08,0x01,0x93,0xe7,0xb0,0x3a,0x07,0x8c,0x06,0x9c,0x85,0x4b,0x15,0x9c,
		0xca,0x60,0x95,0x82,0x2d,0x14,0x11,0x1d,0x1e,0x47,0xf5,0xc1,0x7d,0x88,0xce,0xb5,
		0xeb,0x4e,0x6c,0x6c,0x02,0x32,0x82,0x25,0x40,0x6c,0x0d,0x5c,0xce,0xc3,0xb9,0x83,
		0xd3,0x1a,0x36,0xcb,0xe0,0x0c,0xff,0x33,0x02,0x26,0x09,0xa0,0x34,0x72,0xbf,0x96,
		0xa5,0x28,0x9c,0x3a,0xc9,0xf3,0x1b,0x3f,0x11,0x3b,0xb2,0x5a,0x12,0x83,0x64,0xa5,
		0x11,0x08,0x59,0x01,0x72,0x4d,0x46,0x0d,0x99,0xa6,0x30,0x9d,0x0e,0x83,0x1b,0x70,
		0x04,0x08,0x80,0x04,0x40,0x6e,0xa0,0x16,0xdf,0x23,0x16,0x4e,0xc0,0x41,0xfa,0x50,
		0x44,0xe5,0x2a,0xc6,0x1e,0x3d,0x44,0x42,0x99,0x7d,0x93,0x42,0x62,0xcf,0x48,0x09,
		0x57,0x8e,0x4d,0x60,0x6e,0x74,0x14,0x6e,0x79,0x85,0xec,0x8a,0x99,0x69,0x98,0x95,
		0x55,0xc4,0x4c,0xd6,0x93,0x43,0x5a,0x17,0xde,0x4d,0xcf,0xe2,0x15,0xfd,0x67,0xcb,
		0x75,0x85,0xdb,0x6f,0x5e,0xe3,0xdd,0x91,0xa3,0x78,0x5c,0x2a,0xc3,0xb6,0xdb,0xb0,
		0xbe,0x46,0x74,0x69,0x89,0x66,0xd3,0x0c,0x39,0x03,0x9d,0x31,0x83,0xb0,0x38,0x8a,
		0x70,0x75,0xf6,0x0c,0x2e,0x4f,0x4d,0x43,0xb2,0xa8,0xde,0x5e,0x7c,0xf9,0x8c,0xa4,
		0x5a,0xee,0xb1,0x7b,0x00,0x6b,0xa9,0xc0,0xe7,0x43,0xf9,0xce,0x58,0x18,0xe6,0xdb,
		0xb7,0x21,0x02,0xdc,0x3a,0x3e,0x1d,0x40,0xdf,0xae,0xad,0x61,0x65,0xbb,0x1e,0xb6,
		0x3e,0x32,0xbd,0x49,0x06,0x06,0x05,0x1e,0xc0,0xb2,0x35,0x41,0x31,0x1f,0x92,0x85,
		0xe9,0x5b,0x97,0x07,0x6b,0xcf,0x9e,0xa2,0xcd,0xfd,0xe6,0x0e,0x70,0x91,0xa0,0xb5,
		0x8c,0xb9,0x93,0xdd,0xab,0x65,0x93,0x11,0x1b,0xa6,0xe0,0x98,0xbf,0x57,0xd1,0x53,
		0xd3,0x83,0xf0,0x2b,0xeb,0xcd,0x46,0xef,0x87,0xcf,0x61,0xf6,0xfe,0xf9,0xcc,0x69,
		0x60,0x71,0x89,0x0d,0x62,0x2b,0x49,0xe8,0x5d,0xda,0x2e,0x73,0xf7,0xf9,0xb7,0x3b,
		0x04,0x60,0x9f,0x77,0x2c,0x96,0x12,0x17,0x6a,0x53,0xfd,0x5f,0x0c,0xc5,0x11,0x4e,
		0x90,0x4c,0x35,0x1a,0xd0,0x64,0x57,0x94,0xaf,0x3c,0x80,0xeb,0x76,0x09,0xd0,0x05,
		0xe8,0xae,0xfb,0xaf,0x06,0xc5,0x28,0xc6,0x93,0xc9,0x69,0xec,0x2d,0x95,0x02,0x48,
		0x9d,0x24,0x77,0x3b,0x4d,0x98,0x4a,0x09,0xda,0xe5,0xc8,0x82,0x5b,0x4e,0x6e,0xb7,
		0x83,0xbc,0xd5,0x86,0x6e,0xb6,0x42,0x27,0x06,0x94,0x4c,0x29,0xfb,0xfa,0x0d,0x77,
		0x26,0x6b,0x83,0xa5,0x7b,0x1f,0x16,0xd1,0x1a,0x3f,0x88,0x24,0x12,0xa0,0x66,0x28,
		0x56,0x41,0xea,0x24,0x85,0x22,0x7a,0xea,0x9d,0xf2,0x06,0x46,0x79,0xdb,0xf5,0xdf,
		0x98,0xdd,0xfa,0x83,0x43,0x65,0x4e,0x26,0x4d,0x53,0xf6,0xdc,0xfa,0x3a,0x92,0xe1,
		0x5d,0xe0,0x7c,0x12,0xc4,0x42,0x2c,0x95,0x77,0xf3,0xa8,0xbf,0x33,0xac,0x6e,0x1c,
		0x43,0x1c,0xd8,0x0f,0x51,0x2c,0x40,0xb7,0x5b,0x48,0x7f,0xac,0x72,0x62,0x0d,0xe2,
		0xb1,0x31,0x14,0xaa,0x95,0x90,0x77,0xb6,0xb5,0x05,0xef,0x29,0xd7,0xfd,0x00,0x8a,
		0xef,0xe7,0x2f,0xb9,0xed,0x97,0xf3,0x61,0xc1,0x57,0xd5,0x4f,0x61,0x6e,0x59,0x65,
		0x6e,0xfb,0x03,0x9c,0x10,0x7e,0xfb,0x27,0x49,0xe8,0xbd,0xb5,0xde,0xf7,0xbe,0x99,
		0x19,0x08,0x7f,0x9d,0x3f,0x9d,0xbb,0x88,0x8d,0xf9,0x57,0xa1,0xaf,0x01,0x04,0x9a,
		0xf9,0xf1,0xe2,0xed,0x04,0x7a,0x18,0x1f,0xc8,0x8b,0x1d,0xac,0x5a,0xa9,0x60,0x78,
		0x62,0x02,0x67,0x17,0x16,0xf0,0x17,0x10,0x2e,0xbb,0x2a,0x5b,0x45,0x5d,0x7c,0x00,
		0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
