/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
this.version = "1.0.0";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://video.scientificblogging.com/";
	this.ID = "video.scientificblogging.com";
	this.caption = "Scientific Blogging";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_HOST = "http://video.scientificblogging.com";
	// init result
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get video title
	result.title = copyBetween(html, "<title>Scientific Blogging:", "</title>");
	// get video path
	var videoPath = copyBetween(html, "<video", "</video>");
	videoPath = copyBetween(videoPath, 'src="', '"');
	// build video url
	result.URL = URL_HOST + videoPath;
	// set video extension
	result.extension = ".mp4";
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,0x13,0x00,0x00,0x0b,
		0x13,0x01,0x00,0x9a,0x9c,0x18,0x00,0x00,0x03,0x97,0x49,0x44,0x41,0x54,0x38,0x11,
		0x3d,0x53,0x7f,0x4c,0x94,0x75,0x1c,0x7e,0xee,0x38,0xee,0x44,0x08,0x88,0x13,0x2e,
		0x35,0x33,0x40,0xde,0xbb,0x0a,0xb8,0x60,0x27,0x10,0x44,0x22,0xc1,0x9a,0x2e,0x56,
		0x20,0x59,0x38,0x5b,0x9b,0xd6,0xb2,0x15,0x86,0xce,0xc2,0x35,0xdc,0x32,0xa8,0x20,
		0x2d,0x34,0xd7,0xa9,0xf3,0x0f,0x57,0x64,0x96,0x53,0xc2,0x46,0x8b,0x09,0x2d,0x5b,
		0x73,0x04,0xe7,0x71,0x01,0x1d,0x82,0xec,0x56,0x32,0x38,0x7e,0x74,0xd2,0xc4,0xfb,
		0xe5,0xdd,0x7b,0xef,0xd3,0xf7,0xf8,0xa3,0xef,0xbb,0xbd,0xfb,0xbe,0xef,0x9e,0xe7,
		0xf3,0xe3,0xf9,0x3c,0x1f,0x15,0x19,0x21,0xa0,0x06,0x49,0xa8,0x54,0x84,0x42,0x19,
		0x93,0x7f,0xb9,0x30,0x61,0x73,0x62,0xc0,0xf9,0x0b,0x42,0x5e,0x3f,0x0a,0x8b,0x2c,
		0xc8,0x34,0x16,0x22,0xcf,0x6c,0x81,0x2c,0x1e,0x0d,0x00,0x8a,0xb7,0x4a,0x60,0x55,
		0x82,0x28,0xa8,0xd1,0x1f,0xc4,0x9c,0x7b,0x06,0x56,0xab,0x15,0xfd,0xbf,0x5e,0x43,
		0xea,0x3a,0x2d,0x3c,0xd3,0xf3,0x70,0x8f,0x8e,0x62,0x95,0x7e,0x25,0x18,0xe3,0xc7,
		0xb3,0xdb,0x6a,0xf0,0xca,0xdb,0xad,0xd0,0xa7,0x65,0x21,0x56,0x70,0x82,0x2a,0x11,
		0x40,0x51,0x14,0x52,0x05,0xf4,0xf5,0x5d,0x41,0x6c,0x8c,0x06,0x0e,0x87,0x03,0x05,
		0x95,0x16,0x44,0xce,0x7d,0x87,0x33,0x3d,0x7d,0x58,0x4c,0xd1,0xa2,0xa6,0xba,0x0e,
		0x75,0xbb,0xdf,0xc2,0xd4,0x8c,0x0b,0xbf,0xf7,0x9d,0x43,0xba,0xa9,0x08,0x65,0x9b,
		0x5e,0x80,0x28,0x59,0x64,0x16,0x67,0x61,0x61,0x8e,0xc5,0x25,0x05,0x0c,0x87,0xef,
		0xf1,0xe5,0x9d,0x3b,0xf8,0xce,0xfe,0x7a,0x56,0xa5,0xe9,0x79,0xf5,0xe7,0x1e,0x32,
		0x1c,0xe4,0xb1,0xd6,0x43,0x7c,0x64,0x83,0x96,0xfa,0x44,0x01,0x77,0xdb,0xb8,0xc5,
		0x08,0xba,0x6f,0xbb,0x18,0x16,0x5c,0x35,0xa0,0xe0,0x9b,0xf3,0x5f,0x43,0x92,0x24,
		0x84,0x43,0x41,0x98,0xcd,0x66,0x24,0x3f,0x60,0x40,0xce,0xae,0x3d,0xc8,0x2f,0x7f,
		0x06,0x0b,0xbe,0x39,0x9c,0xf9,0xf2,0x04,0x36,0x3f,0xb9,0x09,0xcf,0x57,0xe5,0xa0,
		0x77,0x63,0x2d,0xd2,0xa6,0x81,0xd3,0xed,0x47,0x85,0x0a,0xf7,0xa0,0xb1,0x0d,0x0e,
		0x62,0x74,0x74,0x04,0xc9,0xc9,0x6b,0x30,0xe7,0x99,0xc5,0xde,0x03,0x0d,0x42,0x52,
		0x0d,0x62,0x64,0x05,0x7e,0xf8,0x90,0x9a,0xb4,0x16,0x36,0xc7,0x0c,0xb4,0xba,0x15,
		0xb0,0x0f,0x0c,0xe0,0x8a,0xe1,0x2b,0xfc,0xf9,0x7d,0x07,0x3c,0xd7,0x3a,0x30,0x6e,
		0xaf,0x84,0xfa,0x8f,0xeb,0x4e,0x14,0x96,0x14,0xe3,0x48,0x5b,0x1b,0x7e,0xea,0xee,
		0x85,0x67,0xca,0x83,0xc5,0x3b,0xff,0xa2,0xa9,0xa5,0x19,0x15,0x9b,0x2b,0x91,0x91,
		0xf9,0x20,0xf6,0xbf,0x7f,0x10,0xd9,0x52,0x3a,0x12,0x13,0xe2,0xb0,0x36,0x3b,0x17,
		0xd7,0x27,0xff,0x86,0x22,0xeb,0x30,0xe9,0x74,0x02,0x2f,0xed,0xaa,0xe3,0x8d,0xe1,
		0x61,0xd6,0xef,0x6d,0xa0,0x94,0xf5,0x30,0x17,0x6f,0xcf,0x73,0x7c,0x7c,0x8c,0xad,
		0x8d,0x0d,0x0c,0x9c,0x6c,0x63,0x77,0xfa,0x63,0xcc,0x17,0x52,0x09,0xa9,0xd9,0xfd,
		0xe3,0x25,0xc6,0x88,0x7b,0xf1,0x13,0x46,0xf1,0x15,0x62,0xf3,0xe1,0x03,0xd4,0xe8,
		0x02,0x89,0x30,0xf9,0xdc,0xd8,0x7a,0xd3,0x8e,0xdf,0x62,0x57,0x22,0x21,0x2e,0x01,
		0xf7,0x4b,0x29,0x18,0x73,0x8d,0xe3,0x35,0xeb,0x29,0xf4,0x87,0x64,0xcc,0x0a,0xa5,
		0x54,0x08,0x63,0x85,0x4e,0x07,0x9d,0xb8,0x57,0x6f,0xa9,0x85,0x6b,0xc2,0x89,0x5b,
		0xb7,0xa6,0x80,0x4f,0xad,0x5f,0xf0,0x48,0x52,0x12,0x5b,0x44,0x64,0x5f,0xc8,0xcb,
		0x3d,0x6f,0xec,0xe6,0xd6,0x8a,0x0a,0x5e,0xee,0x3c,0xcf,0xd2,0xf5,0xeb,0x99,0x04,
		0x35,0x29,0x47,0x98,0xba,0x2a,0x69,0x39,0x6b,0x24,0xe8,0xe5,0x0f,0x9d,0x1d,0xcc,
		0x35,0xa5,0xf0,0x54,0xfb,0x27,0x44,0xbf,0x6d,0x90,0x5a,0x41,0x2e,0xb1,0xe4,0x0a,
		0xa0,0x8f,0xa9,0xf1,0x71,0x3c,0xd4,0xd8,0xc8,0xf9,0x39,0x37,0x65,0x31,0xa8,0x70,
		0xc0,0xcf,0xae,0x0b,0x17,0x58,0x53,0x5a,0xc4,0x57,0xb7,0x6f,0xe3,0x89,0xe3,0x4d,
		0xdc,0xb7,0xaf,0x8a,0x3b,0x5e,0xac,0xe0,0xc8,0x90,0x9d,0x90,0x45,0xdc,0x9d,0xb5,
		0x35,0x7c,0xdc,0x94,0xc5,0x50,0x60,0x89,0x99,0xab,0x0d,0x4c,0x45,0x2c,0xcb,0x2c,
		0x05,0x9c,0x9d,0x9f,0x66,0x7e,0x76,0x36,0x0d,0xf1,0xf7,0xd1,0xa0,0x01,0xab,0x9f,
		0x2e,0xe7,0xcd,0x89,0x7e,0x7e,0xf4,0xe1,0xeb,0xec,0xbc,0x78,0x96,0x51,0x61,0xd4,
		0xa2,0x25,0x1c,0x3d,0xd6,0x2e,0x1c,0x0e,0xf8,0x84,0xef,0x75,0x09,0xf1,0x48,0xcf,
		0x7f,0x14,0x3d,0x57,0x7b,0xf1,0xc1,0xbb,0xef,0xc1,0xee,0x18,0xc2,0x73,0xdb,0xab,
		0xe1,0x17,0x00,0xc3,0x1a,0x03,0x02,0x21,0x05,0x5e,0x9f,0x0e,0x65,0xe5,0x55,0x88,
		0x3a,0x18,0xb2,0x12,0xa1,0x12,0x09,0xf3,0x72,0xd7,0x45,0x9e,0xb4,0x7e,0x4e,0xd7,
		0xc4,0x18,0x3f,0x13,0xbd,0x65,0x49,0xe9,0xcc,0x33,0x4a,0xd4,0xc7,0x68,0x78,0xb0,
		0xfe,0x4d,0x06,0xe7,0x45,0x4b,0x77,0x3d,0xfc,0xb8,0xad,0x89,0xc3,0x23,0x83,0xcb,
		0xae,0x8d,0x56,0xbf,0x6c,0xe5,0x68,0x90,0xe8,0x56,0x7a,0xef,0xde,0x61,0x4b,0xf3,
		0x61,0xe6,0x66,0x64,0xd0,0xf4,0xd0,0x3a,0x9a,0x25,0x23,0x57,0xc7,0x6a,0x29,0x25,
		0x26,0xb2,0x20,0x67,0x03,0xbb,0x2e,0x7d,0xcb,0x25,0xbf,0x8f,0x11,0x91,0x30,0x8a,
		0x8f,0x8e,0xf6,0xff,0x6d,0x14,0xc5,0x88,0x51,0x29,0x88,0xc8,0x32,0x6e,0x08,0x67,
		0xda,0x87,0x86,0x30,0x6a,0x1f,0xc6,0x92,0xe7,0x1f,0x6c,0x2c,0xb4,0xa0,0xb4,0xfc,
		0x29,0x98,0x72,0xf2,0x10,0xd1,0xe8,0x20,0xbc,0x20,0x8e,0x22,0xf6,0x57,0x8d,0xff,
		0x00,0x7c,0x61,0x01,0x75,0x10,0xc4,0x32,0x0c,0x00,0x00,0x00,0x00,0x49,0x45,0x4e,
		0x44,0xae,0x42,0x60,0x82);
}
