/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.0";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.shredordie.com/";
	this.ID = "shredordie.com";
	this.caption = "Shred or Die";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_FLV = "http://videos0.ordienetworks.com/videos/%1/sd.flv";
	// init result
	var result = new VideoDefinition();
	// get videoId
	var videoId = copyBetween(url, "/videos/", "/");
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get video title
	result.title = copyBetween(html, "<h1 class='player_page_h1'>", "</h1>");
	result.title = copyBetween(result.title, ">", "</a>");
	// get video url
	result.URL = strFormat(URL_FLV, videoId);
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,0x13,0x00,0x00,0x0b,
		0x13,0x01,0x00,0x9a,0x9c,0x18,0x00,0x00,0x03,0x21,0x49,0x44,0x41,0x54,0x38,0x11,
		0x6d,0x93,0x5d,0x6c,0x14,0x55,0x14,0xc7,0x7f,0x33,0x3b,0xbb,0xb3,0xdb,0xb2,0xbb,
		0x6d,0xed,0xd7,0x42,0x55,0x6c,0xc2,0x03,0xa5,0x62,0x1a,0xa1,0x5f,0x60,0x53,0x1e,
		0x34,0xe1,0xa1,0xf1,0x01,0x12,0xe1,0xa9,0xa4,0x89,0xc4,0x27,0xa3,0x04,0x42,0x90,
		0x98,0x18,0x13,0xa2,0x0f,0x46,0xde,0x2c,0xb1,0x8a,0x89,0x0f,0x68,0x22,0x21,0x6a,
		0x48,0x24,0x1a,0xa0,0x04,0x0a,0xe1,0xa3,0x5a,0x28,0xb0,0x85,0x40,0xac,0xb1,0xdb,
		0xad,0x2d,0x69,0xbb,0xbb,0xdd,0x29,0x3b,0xbb,0xb3,0xd7,0x33,0xd7,0xb8,0x4f,0x9c,
		0x99,0x7b,0xe6,0xce,0xb9,0xf7,0x9c,0xf3,0x3f,0x5f,0x46,0x61,0x21,0xa5,0x9e,0x9c,
		0x3b,0x83,0x61,0x06,0x70,0xc6,0x1e,0xe1,0xad,0x38,0xa8,0x72,0x09,0xbb,0xa5,0x85,
		0x9a,0xdd,0xfd,0xa4,0x8f,0x8d,0xe0,0xa6,0xe7,0xf0,0x9c,0x55,0xea,0x06,0x77,0xe0,
		0x4e,0x2c,0xf0,0xfc,0xb1,0x83,0x2c,0xfe,0xf6,0x33,0xf1,0xee,0x3e,0x8c,0xe9,0xe3,
		0x1f,0xaa,0xf9,0xe3,0x67,0xf0,0x29,0xb4,0xb6,0x19,0x77,0x76,0x4e,0xef,0xa3,0x7d,
		0xbd,0x50,0x56,0xe4,0xae,0x5c,0xc3,0x08,0x98,0x28,0xaf,0xac,0xe5,0x3e,0x7b,0xf1,
		0xc4,0x51,0xfe,0x7e,0xef,0x33,0x9a,0x0e,0xbd,0x85,0x15,0x08,0x47,0x50,0x22,0x34,
		0x4c,0xd3,0xe7,0xac,0x3b,0xf4,0x2e,0xf1,0xfe,0xed,0x54,0xb7,0xb7,0xf9,0x77,0x35,
		0x65,0xc7,0xae,0x93,0x15,0x43,0xa9,0xe1,0x11,0x4c,0x79,0x52,0x1f,0x7c,0x81,0x59,
		0x5d,0x45,0xee,0xec,0x6d,0xac,0x95,0x8b,0x0f,0x30,0x0c,0x43,0x60,0x7b,0x34,0x0e,
		0xee,0x25,0xf1,0xce,0xd0,0xff,0x7a,0x95,0x6f,0x6c,0x5b,0x17,0xfe,0xb2,0x5f,0x6a,
		0xe4,0xaf,0x23,0x9f,0x52,0x5a,0x5c,0x22,0xd8,0x50,0x4f,0xd5,0xe6,0x4d,0x18,0xc9,
		0xbd,0x43,0x6a,0xe5,0xe6,0x1f,0xa8,0x62,0x91,0xad,0xd3,0x93,0x5a,0xa9,0x94,0xc9,
		0x32,0x37,0xf2,0x0d,0x08,0xec,0x40,0x8d,0x4d,0xdd,0xc0,0x9b,0xd8,0x6b,0xd7,0xe9,
		0xb3,0x5b,0x9b,0x3a,0x50,0x4e,0x51,0xe7,0x2c,0xda,0xb9,0x05,0x4b,0xb9,0x45,0xca,
		0x85,0x02,0xc1,0xe7,0x6a,0x2b,0x1e,0x9f,0x7c,0x7f,0x9a,0x7f,0x4e,0x7d,0x8b,0x97,
		0x71,0x09,0xc4,0x43,0x2c,0x8d,0x5e,0xa0,0xed,0xbb,0xd3,0xfa,0x3c,0xde,0xdb,0x43,
		0xe6,0xd2,0x55,0x54,0xa1,0x44,0xf5,0x8e,0x0d,0x58,0xa1,0xf6,0x38,0xdc,0x84,0xd2,
		0x72,0xb6,0x62,0xa0,0x7e,0xcf,0x6e,0xb0,0x4d,0xf2,0xe3,0x77,0x29,0xa4,0x67,0x71,
		0x6e,0xdd,0xe5,0xe9,0xcc,0x63,0x16,0x7f,0x3a,0x47,0xfe,0xd1,0x54,0x25,0xa1,0x66,
		0x24,0x82,0x15,0xac,0x6f,0x90,0xd4,0x19,0x04,0xeb,0x6a,0x49,0x7f,0x79,0x92,0xc4,
		0xfe,0x21,0xac,0x78,0x8c,0xe6,0x7d,0xfb,0x40,0x5e,0x9f,0x3c,0x09,0x69,0xe9,0xfc,
		0x79,0x96,0x2f,0x8d,0x61,0x28,0xa9,0x48,0xd1,0xd3,0xf2,0x7c,0x32,0x49,0xe0,0x6d,
		0xb3,0xe1,0xa3,0xe2,0xfc,0x82,0xc4,0x98,0x60,0xf1,0xec,0x2f,0x3c,0x7d,0xf8,0x58,
		0xe2,0x33,0x08,0x35,0x35,0x60,0xda,0xb6,0xbe,0x68,0x86,0x6d,0xaa,0x36,0x6e,0xa4,
		0xf6,0x8d,0xd7,0x59,0xbe,0x30,0x2a,0x7d,0x31,0x2f,0x2e,0x21,0xdc,0xde,0x82,0x15,
		0xdd,0xf9,0x32,0x4e,0xf2,0x21,0xc1,0xa6,0x46,0x5e,0xf8,0xf8,0x28,0x52,0x0e,0x1e,
		0x0c,0xee,0x27,0x50,0x6b,0xe3,0x2d,0xb9,0xc4,0xba,0xbb,0xa8,0xde,0xdc,0x46,0xcb,
		0xe1,0xf7,0x35,0xb2,0x78,0x4f,0x0f,0xce,0x9d,0x24,0x6a,0xd5,0x25,0x2c,0xcd,0x66,
		0x46,0xbb,0x5f,0x83,0xe6,0x26,0xbc,0xbc,0xa3,0x4b,0x15,0xdb,0xde,0xa3,0xc3,0x50,
		0xc5,0xb2,0xc0,0x85,0xcc,0x95,0xab,0x64,0x2f,0x5f,0xd3,0x48,0x7c,0xa6,0xc4,0x81,
		0x5f,0x72,0x9f,0x32,0x3f,0x8e,0x63,0xe5,0x6f,0x8f,0x83,0x84,0x90,0x9f,0x49,0xe9,
		0x58,0x03,0x12,0xbf,0xef,0xcd,0x5f,0xcf,0x22,0x2f,0x9b,0x11,0xf8,0x62,0x59,0xba,
		0x53,0x1a,0x08,0x33,0xf7,0xeb,0x3d,0x94,0xeb,0xea,0x9f,0xd9,0xe1,0xaf,0x9e,0xa5,
		0x53,0x91,0x79,0xb9,0x2c,0x99,0x8b,0xa3,0x92,0xc4,0x32,0xc1,0x44,0x33,0x35,0xbb,
		0xba,0x30,0x63,0x3b,0x5f,0xd1,0xbd,0xbe,0x66,0x4b,0x07,0x2b,0x37,0x7e,0x27,0x7d,
		0xe2,0x24,0xce,0xbd,0xa9,0x8a,0x92,0xbf,0xc9,0x4f,0xde,0x67,0xe1,0xd4,0x0f,0xdc,
		0x1f,0xd8,0x23,0x9e,0x23,0xd8,0xad,0xad,0xb8,0xa9,0x34,0xd1,0xde,0x7e,0x2c,0x3f,
		0x69,0xfe,0x2c,0x84,0x3b,0x5f,0xc5,0x99,0x98,0x64,0xe6,0x93,0xcf,0x99,0x1b,0xfe,
		0x9a,0x90,0x78,0xc8,0x27,0xa7,0x74,0x89,0x7d,0x23,0x4a,0x29,0xdd,0xf2,0x6b,0xfa,
		0xb6,0x61,0x44,0xa3,0xb8,0x7f,0x4e,0x93,0xbb,0x7e,0x19,0xab,0x5e,0xac,0xae,0xa6,
		0x66,0x08,0xaf,0x0f,0xb3,0x3a,0x21,0x86,0x36,0xb4,0x0a,0x44,0x19,0xe7,0xce,0x04,
		0x65,0x49,0x96,0x21,0x13,0x69,0x44,0x6c,0x51,0xfe,0x6f,0x22,0x6b,0x06,0x3a,0x28,
		0x4e,0x65,0xa8,0x3a,0xb0,0x8b,0xe8,0xd6,0x5e,0xfe,0x05,0x7b,0x99,0x40,0xa8,0x8b,
		0xd0,0x5f,0xf5,0x00,0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
