/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.0";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.spankwire.com/";
	this.ID = "spankwire.com";
	this.caption = "Spankwire";
	this.adultContent = true;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_GET_INFO = "http://www.spankwire.com/Player/VideoXML.aspx?id=%1";
	// init result
	var result = new VideoDefinition();
	// get videoId
	var videoId = copyBetween(url, "/video", "/");
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get video title
	result.title = copyBetween(html, "<title>", "</title>");
	// download xml
	var xml = http.downloadWebpage(strFormat(URL_GET_INFO, videoId));
	// get video url
	result.URL = copyBetween(xml, '<url type="string">', '</url>');
	result.URL = strReplace(result.URL, "&amp;", "&");
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,0x13,0x00,0x00,0x0b,
		0x13,0x01,0x00,0x9a,0x9c,0x18,0x00,0x00,0x02,0x48,0x49,0x44,0x41,0x54,0x38,0x11,
		0xa5,0x53,0x4b,0x6b,0x53,0x41,0x14,0xfe,0x66,0xe6,0xde,0xa4,0x69,0x92,0xa6,0x26,
		0xda,0x17,0xb4,0xda,0x0a,0x2d,0x1a,0x04,0xad,0x0a,0xee,0x04,0x57,0xea,0xd6,0x6e,
		0x75,0xe3,0xda,0x9f,0xe0,0x46,0x70,0xef,0x2f,0x50,0x50,0xf0,0x27,0xb4,0xa0,0x75,
		0x23,0xf8,0x00,0x1f,0x20,0xa5,0x41,0x7c,0xc4,0xb4,0xe2,0xbb,0xd1,0x44,0x68,0x6f,
		0x92,0x3b,0x73,0xc7,0x73,0x66,0x52,0x93,0x16,0x77,0x1e,0x98,0x0b,0xf7,0x9c,0x33,
		0xdf,0xf9,0xbe,0x73,0xce,0x00,0xff,0x69,0x82,0xef,0xdb,0xab,0x6f,0x2c,0xa2,0xc6,
		0x4e,0x28,0x9d,0x00,0x7c,0x42,0x05,0xc4,0x06,0x08,0xa4,0x3f,0xfd,0x59,0x99,0x61,
		0x04,0xee,0x9f,0x2e,0xb7,0xa3,0xe6,0xdf,0x90,0x6d,0x69,0xa8,0x93,0xe3,0x50,0x27,
		0xc6,0x10,0xdf,0xad,0x20,0xbc,0x5c,0x86,0x79,0xfe,0x15,0xe6,0xc1,0x1a,0xc4,0x9e,
		0x01,0x40,0x51,0x5d,0x0b,0xa4,0xe9,0x06,0xc1,0xfe,0xc3,0xb4,0x85,0x18,0xcb,0x42,
		0x96,0xf7,0x42,0x4e,0xe4,0x20,0x8f,0x8e,0x40,0x0c,0x28,0x04,0x17,0xe6,0x20,0x8a,
		0x19,0x62,0x44,0xcc,0xba,0xe6,0x01,0x58,0x08,0x39,0x6d,0xa4,0xbd,0x9b,0xbd,0x51,
		0x0c,0xbb,0xfe,0xdb,0x01,0xd9,0x77,0x24,0x8f,0xa4,0x04,0x0b,0xb3,0xbe,0x7a,0x42,
		0xe5,0xbb,0xe6,0x01,0x3a,0x09,0xc4,0x74,0x01,0xc1,0xe9,0x49,0x60,0x3b,0xb8,0x19,
		0x23,0xf9,0xd0,0x80,0x18,0xcf,0xc1,0x7e,0xdf,0x44,0x70,0x76,0x1a,0xc9,0xa3,0x4f,
		0x48,0x6a,0x4d,0x66,0x0f,0x18,0xcf,0xc2,0x03,0x90,0xe6,0xe0,0xcc,0x7e,0x04,0x97,
		0xca,0x10,0x05,0x52,0xc6,0x20,0x52,0x40,0x1e,0x28,0x40,0xa4,0x15,0x01,0x51,0x7f,
		0x5a,0x06,0xfa,0x7e,0xcd,0x31,0x48,0x5d,0x99,0x77,0xb2,0x40,0x8c,0x7d,0x13,0x53,
		0x0a,0xe6,0xe9,0x67,0xea,0xb2,0x80,0xdd,0x8a,0x9d,0x1c,0x79,0xa8,0x04,0x31,0x57,
		0xa4,0x43,0x58,0xf3,0xa3,0x88,0xef,0xac,0xc2,0xbc,0xfc,0x86,0xf0,0x62,0x19,0xf2,
		0xc8,0x3e,0x98,0x7b,0x04,0x46,0xd2,0x3d,0x00,0x57,0xa9,0x6c,0x20,0x79,0x5d,0x77,
		0x7d,0xe0,0x04,0x39,0x35,0x04,0x4b,0x95,0x05,0x81,0x23,0x1b,0x42,0x71,0x23,0x89,
		0x9d,0x3a,0x35,0x81,0xce,0xf5,0x27,0xb0,0x55,0x62,0x55,0x2a,0x75,0x01,0x58,0x13,
		0xd1,0x16,0x93,0x79,0x84,0xe7,0x0f,0x42,0x52,0x65,0x0c,0x06,0x30,0xb7,0x57,0xa1,
		0x97,0xaa,0x08,0x49,0x9a,0x3a,0x37,0x03,0x39,0x5b,0x44,0xfb,0xda,0x63,0xd8,0x46,
		0x0b,0x62,0x30,0x74,0xa3,0xf4,0x0c,0x18,0x40,0x10,0x9f,0x2d,0x0d,0x79,0x6c,0x84,
		0xff,0x9c,0xd9,0x8d,0x08,0xc8,0x84,0xae,0x17,0xec,0xd0,0xcb,0x35,0xd8,0x7a,0x04,
		0x91,0x4f,0xf9,0x04,0xfa,0xf6,0x00,0x58,0xff,0xcf,0x08,0xb6,0x52,0x87,0x38,0x5c,
		0x72,0x09,0x8a,0xa6,0x12,0x2c,0xd0,0xec,0xa7,0xf2,0x30,0xcb,0x6b,0xd0,0x8b,0x55,
		0x88,0x1c,0x55,0xee,0x33,0x3f,0x05,0x76,0x30,0x03,0x92,0x11,0xdf,0x5a,0x81,0x7d,
		0xef,0xd7,0x5a,0x1e,0x1f,0x75,0x97,0x39,0xcc,0x3b,0xe1,0xa6,0xc3,0x79,0x7d,0xd6,
		0x03,0x60,0x27,0x35,0xcc,0x36,0xdb,0xe8,0xdc,0x78,0x01,0x7d,0x73,0x05,0xc9,0xab,
		0x1f,0x3e,0xb5,0xd1,0x86,0x79,0xfb,0x8b,0xb6,0xb1,0x47,0x78,0x1b,0x63,0xa7,0x87,
		0x37,0x84,0xbb,0x4e,0x4b,0xa2,0x1f,0x7e,0x84,0x78,0xf6,0x05,0x72,0x66,0x98,0x40,
		0x3b,0x00,0xc9,0x73,0xb1,0xde,0x12,0x3a,0x0c,0x0f,0x40,0xaf,0x2a,0xbd,0x2b,0x80,
		0x2c,0xc5,0x79,0xa1,0xd6,0xe9,0x25,0x4a,0x4a,0x1b,0xa2,0xc9,0xec,0xce,0xa1,0x7b,
		0x7f,0x00,0xcf,0xc2,0xcf,0x38,0x51,0xa2,0xf1,0xac,0x00,0x00,0x00,0x00,0x49,0x45,
		0x4e,0x44,0xae,0x42,0x60,0x82);
}
