/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.0";
	this.minVersion = "2.2.0";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.tv3.cat/";
	this.ID = "tv3.cat";
	this.caption = "TV3 a la Carta";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_XML = "http://www.tv3.cat/su/tvc/tvcConditionalAccess.jsp?ID=%1&QUALITY=H&FORMAT=FLV&RP=www.tv3.cat";
	// init result
	var result = new VideoDefinition();
	// get the video id
	var videoId = copyBetween(url, "videos/", "/");
	// create http class
	var http = new Http();
	// download xml
	var ll = strFormat(URL_XML, videoId);
	var xml = http.downloadWebpage(strFormat(URL_XML, videoId));
	// get the video information
	result.title = copyBetween(xml, '<media videoname="', '/');
	result.URL = "rtmp:" + copyBetween(xml, "rtmp:", "?");
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,0x13,0x00,0x00,0x0b,
		0x13,0x01,0x00,0x9a,0x9c,0x18,0x00,0x00,0x00,0xeb,0x49,0x44,0x41,0x54,0x38,0x11,
		0xdd,0x91,0x31,0x0e,0x01,0x51,0x10,0x86,0x1f,0x71,0x00,0x9d,0xd2,0x8a,0x0b,0x70,
		0x01,0x5c,0x40,0xb2,0x7a,0x09,0x37,0x10,0x15,0x1d,0x9d,0xd6,0x11,0xf6,0x08,0xc4,
		0x01,0xe8,0x35,0x1b,0xbd,0x84,0x44,0xb3,0x9d,0x1b,0xf0,0xfd,0xcc,0x13,0x36,0x11,
		0x56,0xe9,0x4f,0xbe,0xfc,0x33,0x93,0x99,0x79,0xb3,0x59,0xe7,0xfe,0x5e,0x45,0xbe,
		0x30,0x82,0xcb,0x13,0x73,0xe2,0x57,0xad,0xaa,0xa5,0x00,0xd4,0x9c,0x56,0x44,0xe1,
		0x79,0xd8,0xc7,0x8f,0x25,0x79,0x9b,0xd0,0x70,0xcc,0x92,0xa9,0xe5,0xde,0x7a,0x16,
		0x2c,0xf0,0x1c,0x44,0x96,0x0f,0xcc,0x9d,0x5f,0xa0,0x7c,0x0c,0x65,0x96,0x1c,0x20,
		0xb4,0x06,0x0d,0x89,0x8e,0xe5,0x47,0xf3,0xb3,0xf9,0x63,0x81,0x0a,0x23,0xa8,0x80,
		0x16,0x0d,0x58,0xb2,0x81,0x1a,0xb1,0xd4,0x02,0x9d,0x3f,0x01,0x69,0x78,0x37,0xe7,
		0x0a,0x16,0x04,0xf8,0x12,0x12,0x98,0x59,0xbc,0xc5,0x3f,0x4a,0xe7,0x39,0x5e,0x2a,
		0x63,0x7d,0xd0,0xe6,0x2e,0x9c,0xda,0xfb,0x24,0xc6,0xd3,0x9a,0x52,0xf0,0x57,0xdc,
		0x66,0xfd,0x05,0x3a,0xbd,0x0e,0x0d,0x06,0x77,0xb8,0x97,0xce,0x96,0x74,0x5d,0x08,
		0x01,0x78,0x15,0x09,0xce,0xb7,0x84,0x0b,0xde,0xfd,0xc6,0x35,0x0d,0x5a,0x92,0x46,
		0xf5,0xaf,0xa4,0x57,0xd2,0x4b,0x94,0xab,0x9e,0x49,0x01,0xdd,0x4d,0xc8,0x3c,0x98,
		0xe9,0x95,0x9f,0x9a,0xaf,0x4e,0x97,0x3c,0xfa,0x6c,0x59,0xca,0x88,0x00,0x00,0x00,
		0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}