/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.2";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.xtube.com/";
	this.ID = "xtube.com";
	this.caption = "XTube";
	this.adultContent = true;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_POST_XML = "http://%1.xtube.com/find_video.php";
	const URL_POST_XML_PARAMS = "user_id=%1&clip_id=%2&video_id=%3";
	// video information
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get video title
	result.title = copyBetween(html, "<tr align=left><td width=580><h2>", "</h2>");
	// get subdomain
	var subDomain = copyBetween(url, "http://", ".");
	var swfUrl = copyBetween(html, "swfURL\", \"", "\"");
	var user_id = copyBetween(html, "user_id\", \"", "\"");
	var clip_id = copyBetween(html, "clip_id\", \"", "\"");
	var video_id = copyBetween(html, "video_id\", \"", "\"");
	// get xml
	var xml = http.downloadWebpagePost(strFormat(URL_POST_XML, subDomain),
									   strFormat(URL_POST_XML_PARAMS, user_id, clip_id, video_id));
	// get video url
	result.URL = copyBetween(xml, "&filename=", "&");
	result.URL = swfUrl + result.URL;
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x02,0x00,0x00,0x00,0x90,0x91,0x68,
		0x36,0x00,0x00,0x01,0x2f,0x69,0x43,0x43,0x50,0x49,0x43,0x43,0x20,0x50,0x72,0x6f,
		0x66,0x69,0x6c,0x65,0x00,0x00,0x78,0x01,0x63,0x60,0x60,0x32,0x70,0x74,0x71,0x72,
		0x65,0x12,0x60,0x60,0xc8,0xcd,0x2b,0x29,0x0a,0x72,0x77,0x52,0x88,0x88,0x8c,0x52,
		0x60,0xbf,0xc0,0xc0,0xc1,0xc0,0xcd,0x20,0xcc,0x60,0xcc,0x60,0x9d,0x98,0x5c,0x5c,
		0xe0,0x18,0x10,0xe0,0xc3,0x00,0x04,0x79,0xf9,0x79,0xa9,0x20,0x1a,0x15,0x7c,0xbb,
		0xc6,0xc0,0x08,0x12,0xb9,0xac,0x0b,0x32,0x0b,0x55,0x8e,0x20,0x8f,0x2b,0xb9,0xa0,
		0xa8,0x04,0xa8,0xea,0x0f,0x10,0x1b,0xa5,0xa4,0x16,0x27,0x33,0x30,0x30,0x1a,0x00,
		0xd9,0xd9,0xe5,0x25,0x05,0x40,0x71,0xc6,0x39,0x40,0xb6,0x48,0x52,0x36,0x98,0xbd,
		0x01,0xc4,0x2e,0x0a,0x09,0x72,0x06,0x8a,0x1f,0x01,0xb2,0xf9,0xd2,0x21,0xec,0x2b,
		0x20,0x76,0x12,0x84,0xfd,0x04,0xc4,0x2e,0x02,0x7a,0x02,0xa8,0xe6,0x0b,0x48,0x7d,
		0x3a,0x98,0xcd,0xc4,0x01,0x62,0x27,0x41,0xd8,0x32,0x20,0x76,0x49,0x6a,0x05,0xc8,
		0x5e,0x06,0xe7,0xfc,0x82,0xca,0xa2,0xcc,0xf4,0x8c,0x12,0x05,0x23,0x03,0x03,0x03,
		0x05,0xc7,0x94,0xfc,0xa4,0x54,0x85,0xe0,0xca,0xe2,0x92,0xd4,0xdc,0x62,0x05,0xcf,
		0xbc,0xe4,0xfc,0xa2,0x82,0xfc,0xa2,0xc4,0x92,0xd4,0x14,0xa0,0x5a,0x88,0xfb,0x40,
		0xba,0x18,0x04,0x21,0x0a,0x41,0x21,0xa6,0x61,0x68,0x69,0x69,0xa1,0x09,0x16,0xa5,
		0x22,0x01,0x8a,0x07,0x88,0x71,0x9f,0x03,0xc1,0xe1,0xcb,0x28,0x76,0x06,0x21,0x86,
		0xb0,0x28,0xb9,0xb4,0xa8,0x0c,0xca,0x63,0x64,0x32,0x66,0x60,0x20,0xc4,0x47,0x98,
		0x31,0x47,0x82,0x81,0xc1,0x7f,0x29,0x03,0x03,0xcb,0x1f,0x84,0x98,0x49,0x2f,0x03,
		0xc3,0x02,0x1d,0x06,0x06,0xfe,0xa9,0x08,0x31,0x35,0x43,0x06,0x06,0x01,0x7d,0x06,
		0x86,0x7d,0x73,0x00,0xc3,0xaf,0x50,0x6f,0xe6,0xb3,0xe5,0xe9,0x00,0x00,0x00,0x09,
		0x70,0x48,0x59,0x73,0x00,0x00,0x0b,0x13,0x00,0x00,0x0b,0x13,0x01,0x00,0x9a,0x9c,
		0x18,0x00,0x00,0x01,0xab,0x49,0x44,0x41,0x54,0x28,0x15,0x63,0xfc,0xff,0xff,0x3f,
		0x03,0x29,0x80,0x05,0x59,0xf1,0xad,0x65,0xcb,0x7e,0x3e,0x79,0xf2,0xfb,0xdc,0xb9,
		0x7f,0x0f,0x1e,0x98,0x9c,0x38,0x01,0x91,0xfa,0xf6,0xe6,0xcd,0x1d,0x7f,0xff,0xbf,
		0x27,0x4f,0x7e,0x76,0x77,0xb7,0xdb,0xba,0x95,0x09,0x59,0xc3,0xff,0x3f,0x7f,0x84,
		0xf6,0xee,0x15,0x7d,0xfc,0x98,0xfb,0xda,0xb5,0xa7,0x07,0x0e,0x40,0xa4,0xae,0x87,
		0x86,0x7e,0x39,0x79,0xf2,0xb9,0x85,0x05,0x50,0x35,0x50,0x04,0x45,0x83,0xac,0x87,
		0xc7,0xf7,0x27,0x4f,0xfe,0x7d,0xfc,0xc8,0xc8,0xc2,0xf2,0x7a,0xdf,0x3e,0xa0,0xf4,
		0x99,0xc8,0xc8,0x5f,0x87,0x0f,0xbf,0x17,0x12,0xb2,0x5b,0xb3,0x06,0xa2,0x1f,0x45,
		0x03,0x97,0x98,0xd8,0x7b,0x49,0x49,0x06,0x66,0x66,0x66,0x41,0xc1,0xdf,0x37,0x6e,
		0x9c,0xcd,0xce,0x66,0x58,0xbf,0xfe,0x3d,0x3b,0xbb,0xf1,0xae,0x5d,0x3c,0x12,0x12,
		0x10,0x0d,0x28,0x7e,0x00,0x0a,0xb1,0x9a,0x9b,0x33,0xee,0xd8,0xc1,0xca,0xce,0xce,
		0xbf,0x6f,0xdf,0xeb,0xef,0xdf,0xbf,0xfc,0xf9,0xa3,0x30,0x77,0xae,0x84,0x81,0x01,
		0x44,0x35,0x90,0x44,0xb1,0x01,0xc8,0x17,0xf3,0xf0,0x60,0x60,0x61,0xf9,0xf7,0xfe,
		0xfd,0x4b,0xa0,0xea,0x9f,0x3f,0x39,0x32,0x32,0xb4,0xa2,0xa3,0xe1,0xaa,0x41,0x0c,
		0x60,0xb0,0xa2,0x81,0xbb,0x66,0x66,0x77,0xc4,0xc4,0xf6,0xb1,0xb1,0xed,0xf0,0xf2,
		0x42,0x93,0x02,0x72,0xd1,0x6d,0x78,0x76,0xfc,0xf8,0x4f,0x36,0x36,0x26,0x0e,0x0e,
		0xa0,0x5b,0x39,0x15,0x15,0x51,0xcc,0x06,0x73,0x50,0x34,0xbc,0xbd,0x71,0xe3,0x5d,
		0x73,0x33,0x0f,0xd8,0x5e,0x16,0x46,0xc6,0x6f,0x17,0x2e,0x60,0x6a,0x40,0xf1,0xf4,
		0xa3,0x92,0x12,0xde,0xdb,0xb7,0xbf,0xbc,0x79,0xc3,0xce,0xce,0x0e,0x34,0xe9,0xdf,
		0xd3,0xa7,0x98,0x1a,0x10,0x36,0x9c,0x8d,0x8d,0x65,0x3f,0x70,0xe0,0xf9,0xfd,0xfb,
		0xef,0xc1,0x4e,0x67,0x60,0x64,0x64,0x7c,0xf5,0x0a,0xa7,0x86,0x0b,0x0d,0x0d,0xac,
		0xeb,0xd7,0x3f,0xfd,0xf1,0x83,0xa7,0xb7,0x57,0xd4,0xcb,0xeb,0xcf,0xdf,0xbf,0xff,
		0x39,0x39,0xd9,0xfe,0xfc,0xc1,0xae,0x01,0x98,0x0a,0x7e,0x75,0x74,0xbc,0xf8,0xf1,
		0x83,0x2d,0x23,0xc3,0x30,0x3f,0xff,0x1f,0x03,0xc3,0xcb,0xcf,0x9f,0xbf,0x7c,0xfd,
		0x0a,0xd4,0xf6,0x12,0xc3,0x1b,0x2c,0x6f,0x2e,0x5e,0xbc,0x59,0x53,0xc3,0x92,0x92,
		0x22,0x63,0x69,0x09,0x09,0x72,0x60,0xea,0xfd,0xcc,0xcf,0xcf,0x13,0x16,0xc6,0x2d,
		0x24,0x24,0x8e,0x14,0x65,0x10,0xdb,0x18,0x81,0x41,0x8b,0x69,0x2f,0x1e,0x11,0x00,
		0x0b,0xcb,0xd4,0xf7,0x53,0x46,0xfc,0x24,0x00,0x00,0x00,0x00,0x49,0x45,0x4e,0x44,
		0xae,0x42,0x60,0x82);
}
