/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.1";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.xvideos.com/";
	this.ID = "xvideos.com";
	this.caption = "XVideos";
	this.adultContent = true;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	// video information
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get video title
	result.title = copyBetween(html, "<title>", "</title>");
	result.title = strReplace(result.title, "- XVIDEOS.COM", "");
	// get video flv
	result.URL = cleanUrl(copyBetween(html, "flv_url=", "&"));
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x00,0x09,0x70,0x48,0x59,0x73,0x00,0x00,0x0b,0x13,0x00,0x00,0x0b,
		0x13,0x01,0x00,0x9a,0x9c,0x18,0x00,0x00,0x00,0xf6,0x49,0x44,0x41,0x54,0x38,0x11,
		0xcd,0x93,0xd1,0x0d,0x83,0x30,0x0c,0x44,0x93,0x2e,0xc0,0x0e,0x4c,0x50,0x09,0x66,
		0x82,0x35,0x58,0x23,0x4c,0xc3,0x00,0x64,0x04,0x56,0xa8,0x60,0x02,0xd7,0xcf,0x24,
		0x29,0xf4,0x0b,0x89,0x8f,0xf6,0xa4,0x28,0x89,0x7d,0x77,0xb1,0x8d,0xf0,0xa2,0x70,
		0x37,0xf0,0xb8,0xa1,0x35,0xe9,0x3f,0x19,0x78,0xef,0xdc,0x38,0x7e,0x3a,0xe2,0xdc,
		0xf7,0x6e,0x8c,0xd1,0x45,0x3d,0x6f,0xdb,0x56,0x72,0x6d,0xdb,0xba,0xa8,0x71,0x03,
		0x43,0x34,0x84,0xc0,0x34,0x65,0x5d,0x57,0x91,0x74,0x5e,0x96,0x45,0x42,0xd7,0x31,
		0xe4,0x3d,0xae,0xc4,0x79,0x9e,0xed,0x3e,0x4d,0x93,0xc9,0xdc,0xae,0x96,0x9d,0xd0,
		0x34,0x22,0xba,0x5e,0x2a,0x10,0x15,0x02,0x4c,0x30,0x08,0x2a,0x04,0xc3,0x30,0x48,
		0x5d,0x3f,0x8b,0x61,0x31,0x20,0x09,0x99,0x2a,0xcc,0x80,0x40,0x42,0xa3,0xa6,0x1d,
		0xe6,0x0a,0xc4,0x5d,0x32,0xe7,0x7e,0x32,0xc8,0xa5,0x63,0x42,0x2b,0xd6,0x8e,0x92,
		0x82,0xb6,0x44,0x15,0x94,0xcd,0x4e,0x1b,0x19,0xc5,0xc0,0xc8,0x9a,0xb4,0xd2,0x53,
		0x2b,0x99,0x44,0x0e,0x21,0xaf,0xb3,0x8e,0x28,0x06,0x08,0x29,0xdd,0x8c,0xd2,0x10,
		0xad,0x22,0x65,0x13,0xa3,0x05,0x4c,0x98,0xc1,0x11,0x66,0x90,0x5f,0x67,0xb7,0x33,
		0x8c,0x6c,0x92,0xd8,0x94,0xcd,0x2c,0x4a,0x3e,0xc5,0x3d,0xbb,0x3a,0x1b,0xf8,0xd6,
		0x55,0x55,0xe5,0xeb,0xa5,0xfd,0x64,0x70,0x49,0xf1,0x45,0xfa,0xfd,0xbf,0xf0,0x06,
		0x2e,0x45,0x7c,0x3c,0xe1,0x54,0xce,0x94,0x00,0x00,0x00,0x00,0x49,0x45,0x4e,0x44,
		0xae,0x42,0x60,0x82);
}
