/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.1";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.yikers.com/";
	this.ID = "yikers.com";
	this.caption = "Yikers";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_FLV = "http://media.yikers.com/flv/flash8/yikers_%1.flv";
	// init result
	var result = new VideoDefinition();
	// download webpage
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get video title
	result.title = copyBetween(html, "<title>", "</title>");
	// get video id
	var vidoId = copyBetween(url, ".com/video_", ".");
	// get the video url
	result.URL = strFormat(URL_FLV, vidoId);
	// clear and get the final url
	result.URL = cleanUrl(result.URL);
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x01,0x1a,0x49,0x44,0x41,0x54,0x78,0x9c,0xdd,0x93,0xa1,0x4e,0xc3,
		0x50,0x18,0x85,0xbf,0x11,0x70,0xb7,0x4d,0x86,0xaa,0xc3,0x74,0xf5,0x0d,0x0f,0x50,
		0x31,0xc3,0x15,0x98,0x0a,0x74,0x1f,0x60,0xd9,0x13,0xd4,0x90,0xf4,0x09,0x96,0x3a,
		0x92,0x85,0xa7,0x18,0x8e,0x90,0x2d,0x99,0x40,0x34,0xcd,0x74,0x7d,0x7f,0xdf,0xeb,
		0x26,0x40,0xed,0x96,0x4b,0xcb,0x42,0x82,0xe3,0x77,0xf7,0x9c,0x7b,0xbf,0x73,0x72,
		0x93,0x7f,0x52,0x55,0xd5,0x07,0x7f,0x98,0x4b,0x80,0x20,0x08,0x50,0x4a,0xe1,0x79,
		0x9e,0x35,0xba,0xae,0xa3,0x69,0x1a,0xc2,0x30,0x1c,0xe8,0xc6,0x18,0x44,0xa4,0x07,
		0x28,0xa5,0xc8,0xf3,0x9c,0xd5,0xcb,0x95,0xbd,0xf8,0xf6,0x74,0x4f,0x14,0x45,0x88,
		0x08,0xfe,0xed,0xa3,0xd5,0x97,0xfa,0x48,0x51,0x14,0xf6,0x7c,0x01,0x60,0x8c,0x21,
		0xcb,0x32,0xa7,0xda,0xe1,0x70,0x00,0x60,0xbf,0x7f,0x77,0xf4,0x34,0x4d,0x31,0xc6,
		0xb8,0x00,0x11,0x21,0x0c,0x43,0x96,0xfa,0x68,0x8d,0xba,0xae,0x51,0x4a,0xb1,0xdd,
		0xbe,0xf6,0xaf,0x67,0x90,0x24,0x89,0xad,0x6f,0x01,0x63,0x2d,0xd6,0xbb,0x29,0x22,
		0xc2,0x7a,0x37,0xb5,0xda,0x66,0x31,0xa7,0x6d,0x5b,0xa7,0x91,0x05,0x88,0x08,0x71,
		0x1c,0xc3,0xac,0x37,0xcb,0xb2,0x74,0xd2,0xb5,0xd6,0x4e,0xba,0x03,0x00,0x68,0xdb,
		0x96,0xcd,0x62,0x6e,0xcf,0x5f,0x3f,0x75,0x2c,0x7d,0x00,0x10,0x11,0xb4,0xd6,0x4e,
		0x8b,0x73,0xe9,0x03,0xc0,0xa9,0xc5,0xf3,0x43,0xec,0x68,0xab,0xbb,0x9b,0xd1,0xf4,
		0x51,0xc0,0xd8,0xf8,0xfe,0xf5,0x8f,0xde,0xaf,0x00,0xe7,0xe6,0x1f,0x00,0x26,0xdf,
		0xd7,0x59,0x29,0x45,0x10,0x04,0x83,0x0d,0x14,0x11,0x67,0x07,0x4e,0xf3,0x09,0x9d,
		0x6c,0x73,0xcd,0xcf,0x79,0x87,0xa0,0x00,0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,
		0x42,0x60,0x82);
}
