/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.0";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.zappinternet.com/";
	this.ID = "zappinternet.com";
	this.caption = "ZappInternet";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_GET_XML = "http://www.zappinternet.com/get_playlist.php?idvideo=%1";
	// video information
	var result = new VideoDefinition();
	// get video id from url
	var vidId = copyBetween(url, "video/", "/");
	// download xml
	var http = new Http();
	var xml = http.downloadWebpage(strFormat(URL_GET_XML, vidId));
	// get the video information
	result.title = copyBetween(xml, "<title>", "</title>");
	result.URL = copyBetween(xml, "url=\"", "\"");
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x02,0x52,0x49,0x44,0x41,0x54,0x78,0x9c,0x75,0x92,0x41,0x48,0x93,
		0x61,0x18,0xc7,0x7f,0xdf,0x98,0x7e,0xd3,0xe9,0x0e,0xa5,0x41,0x3a,0x30,0xf8,0x04,
		0xa9,0x79,0xd8,0xc9,0xe1,0x55,0x6d,0x88,0x9e,0x3a,0x44,0x7a,0x28,0x84,0xba,0x74,
		0xf0,0xe0,0x60,0xd1,0xc1,0x2e,0x5e,0x1a,0x81,0x30,0xc2,0xd3,0x3e,0x14,0x0c,0xcc,
		0x4b,0x74,0x13,0x4f,0xeb,0x50,0x4c,0xc4,0xca,0x83,0x4d,0xec,0x4b,0xd8,0x49,0x04,
		0x29,0xa1,0x34,0xc4,0xf9,0xb5,0xef,0xdf,0x41,0x36,0xdd,0x56,0xff,0xcb,0x0b,0xef,
		0xf3,0xbc,0xbf,0xe7,0xff,0xfe,0x79,0x0c,0x49,0x02,0x98,0x9b,0x9b,0x23,0x93,0xc9,
		0x70,0x59,0x93,0x93,0x93,0xdc,0xb8,0xfd,0x90,0x44,0xb6,0xc4,0xfe,0x6f,0x71,0x3f,
		0xe2,0xe3,0xc3,0x9e,0xc7,0x93,0x98,0x9f,0x7b,0x37,0x7d,0x00,0xf8,0xcb,0xcd,0x1d,
		0x1d,0x1d,0x58,0x96,0x85,0xeb,0xba,0xac,0xae,0xae,0xd2,0xd0,0xd0,0xc0,0x55,0x2b,
		0xca,0x9d,0xb7,0x2e,0x01,0xbf,0xc1,0x68,0xb7,0x8f,0xc5,0xbc,0xc7,0xcf,0xa2,0xd8,
		0xfe,0xe1,0x01,0xe7,0x00,0x54,0xa3,0x99,0x99,0x19,0x01,0x4a,0xa5,0x52,0x7a,0xb1,
		0xfe,0x47,0xa4,0x4e,0xf5,0xe6,0x6b,0x49,0x92,0xf4,0x2a,0x5f,0x12,0xa9,0x53,0x3d,
		0x7b,0xef,0x56,0xfa,0xab,0x00,0xb9,0x5c,0x4e,0x8d,0x8d,0x8d,0x1a,0x1c,0x1c,0x94,
		0xeb,0xba,0x4a,0xbe,0x73,0x45,0xea,0x54,0x5f,0xbe,0x7b,0x92,0xa4,0x8f,0xfb,0x5e,
		0x1d,0xc0,0x57,0xfe,0xc2,0xd1,0xd1,0x11,0x13,0x13,0x13,0x04,0x83,0x41,0x32,0x99,
		0x0c,0x9e,0xe7,0xd1,0x73,0xe5,0xbc,0xf6,0x7a,0xbb,0x84,0xeb,0xc1,0xf2,0x4e,0x89,
		0x5a,0x55,0x32,0x98,0x9e,0x9e,0x66,0x77,0x77,0x17,0x00,0xcb,0xb2,0x00,0x78,0xf0,
		0xe8,0x31,0xb7,0x62,0x69,0x9e,0xaf,0x97,0x78,0xf9,0xf9,0x1c,0x02,0x60,0x18,0x46,
		0x3d,0x60,0x78,0x78,0x18,0xcf,0xf3,0x68,0x6b,0x6b,0xc3,0x71,0x1c,0x42,0xa1,0x10,
		0x63,0x63,0x77,0x79,0x6a,0xfd,0x62,0xb9,0xd0,0x42,0xf6,0xd3,0x0e,0xc9,0x81,0xeb,
		0x7c,0x73,0xaf,0x31,0x6a,0x55,0x8c,0x5f,0x84,0x38,0x3b,0x3b,0x2b,0xd3,0x34,0x15,
		0x8b,0xc5,0x04,0xc8,0xef,0xf7,0xab,0xa7,0xa7,0x47,0xad,0xad,0xad,0x8a,0x46,0xa3,
		0x02,0x64,0x9a,0xa6,0xd2,0xe9,0x74,0x55,0xe8,0x15,0xd4,0xde,0xde,0x1e,0xc5,0x62,
		0x91,0xb3,0xb3,0x33,0x6c,0xdb,0x26,0x12,0x89,0xe0,0x38,0x0e,0xc7,0xc7,0xc7,0x84,
		0x42,0x21,0x6c,0xdb,0x26,0x1c,0x0e,0x93,0x4c,0x26,0x29,0x14,0x0a,0xf5,0x0e,0xa6,
		0xa6,0xa6,0x04,0x28,0x9b,0xcd,0x4a,0x92,0xb2,0xd9,0xac,0x00,0x01,0xca,0xe7,0xf3,
		0x92,0xa4,0xa5,0xa5,0x25,0x01,0xb2,0x6d,0xbb,0xde,0x41,0x59,0xa6,0x69,0x02,0xd0,
		0xd2,0xd2,0x52,0xb9,0x0b,0x04,0x02,0x00,0x34,0x37,0x37,0x03,0x70,0x72,0x72,0xf2,
		0x7f,0x07,0xf1,0x78,0x5c,0x6b,0x6b,0x6b,0x1a,0x19,0x19,0xa9,0x38,0x18,0x1f,0x1f,
		0x57,0x2e,0x97,0x53,0x7f,0x7f,0xbf,0x7c,0x3e,0x9f,0x36,0x37,0x37,0xeb,0x17,0xa9,
		0x0c,0x08,0x04,0x02,0x95,0x87,0x4d,0x4d,0x4d,0x55,0xa7,0x61,0x18,0x4a,0x24,0x12,
		0x55,0x21,0xfa,0xa9,0xd1,0xca,0xca,0x0a,0x07,0x07,0x07,0x84,0xc3,0x61,0xe6,0xe7,
		0xe7,0x59,0x5c,0x5c,0x64,0x63,0x63,0x83,0xad,0xad,0x2d,0xba,0xbb,0xbb,0xe9,0xeb,
		0xeb,0xfb,0xf7,0x22,0x95,0x97,0xa3,0xbd,0xbd,0x9d,0x81,0x81,0x01,0x00,0x16,0x16,
		0x16,0x00,0xe8,0xec,0xec,0xa4,0xb7,0xb7,0xb7,0x76,0x56,0x35,0x20,0x1e,0x8f,0xe3,
		0x38,0x0e,0x5d,0x5d,0x5d,0x95,0xe2,0xd0,0xd0,0x10,0x87,0x87,0x87,0x04,0x83,0xc1,
		0x8b,0xcc,0x00,0xe3,0x12,0xe0,0x2f,0x9c,0xa0,0x8b,0x4a,0xb7,0xd4,0x88,0xd2,0x00,
		0x00,0x00,0x00,0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
}
