/*
*
* This file is part of xVideoServiceThief,
* an open-source cross-platform Video service download
*
* Copyright (C) 2007 - 2009 Xesc & Technology
*
* This program is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with xVideoServiceThief. If not, see <http://www.gnu.org/licenses/>.
*
* Contact e-mail: Xesc <xeskuu.xvst@gmail.com>
* Program URL   : http://xviservicethief.sourceforge.net/
*
*/

function RegistVideoService()
{
	this.version = "1.0.0";
	this.minVersion = "2.0.0a";
	this.author = "Xesc & Technology 2009";
	this.website = "http://www.zedge.net/";
	this.ID = "zedge.net";
	this.caption = "Zedge";
	this.adultContent = false;
	this.musicSite = false;
}

function getVideoInformation(url)
{
	const URL_GET_XML = "http://www.zedge.net/zedge-api/api-video-player.php";
	const XML_PARAMS = "zapi_session_id=%1&video_id=%2&get_video=";
	// video information
	var result = new VideoDefinition();
	// download html
	var http = new Http();
	var html = http.downloadWebpage(url);
	// get the video id
	var html = copyBetween(html, "<embed flashvars=", "</embed>");
	var zapId = copyBetween(html, "sessionid=", "&");
	var vidID = copyBetween(html, "vid=", "&");
	// get xml file
	var xml = http.downloadWebpagePost(URL_GET_XML, strFormat(XML_PARAMS, zapId, vidID));
	// get the video title
	result.title = copyBetween(xml, "vtitle=", "&");
	result.title = strReplace(result.title, "+", " ");
	// get the flv url
	result.URL = cleanUrl(copyBetween(xml, "vflv=", "&"));
	// return the video information
	return result;
}

function getVideoServiceIcon()
{
	return new Array(
		0x89,0x50,0x4e,0x47,0x0d,0x0a,0x1a,0x0a,0x00,0x00,0x00,0x0d,0x49,0x48,0x44,0x52,
		0x00,0x00,0x00,0x10,0x00,0x00,0x00,0x10,0x08,0x06,0x00,0x00,0x00,0x1f,0xf3,0xff,
		0x61,0x00,0x00,0x03,0x3f,0x49,0x44,0x41,0x54,0x78,0x9c,0x4d,0x92,0xcb,0x4f,0x5c,
		0x75,0x00,0x85,0xbf,0xdf,0xbd,0x77,0xee,0x9d,0xb9,0x77,0x66,0xee,0x3c,0xe8,0x00,
		0x85,0x2a,0x52,0x6a,0x9c,0x16,0x69,0xea,0xc2,0x44,0x17,0x36,0x04,0x37,0x16,0x35,
		0xd1,0x74,0x55,0xd1,0xc6,0xb2,0x13,0xdd,0xd7,0xa8,0x1b,0xed,0x1f,0xd0,0x18,0x8d,
		0x0b,0x5d,0xf8,0x42,0x17,0x85,0x4d,0x9b,0xa6,0x44,0x93,0x9a,0x94,0x1a,0x17,0xc6,
		0x88,0x51,0x08,0xaf,0x0e,0xcc,0x40,0xa1,0xe5,0x35,0xcc,0xe3,0xce,0x30,0xf7,0xf5,
		0x73,0x81,0x26,0x3d,0xc9,0x59,0x9f,0xef,0x24,0x9f,0x68,0x3a,0xd5,0x92,0x10,0x22,
		0x19,0xa8,0x0a,0xbf,0x5f,0xfe,0x80,0xad,0xe9,0xbb,0x0c,0xfe,0x38,0x8e,0xdd,0xfb,
		0x04,0xa1,0xef,0xa3,0x46,0x22,0x48,0x29,0x09,0x5d,0x97,0x30,0x08,0x10,0x42,0xf0,
		0x48,0xaa,0x8a,0x94,0x32,0x23,0xa5,0xb4,0xab,0xd5,0xaa,0xed,0xf4,0x9f,0xb2,0xcb,
		0xb3,0xb3,0xf6,0xca,0xf8,0xb8,0x1d,0x82,0xdd,0xdc,0xd9,0xb1,0x57,0x6f,0x4d,0xd9,
		0x4b,0xdf,0x7e,0x6f,0xbb,0xb5,0x9a,0x2d,0x54,0xd5,0x96,0x52,0x3e,0xda,0x8c,0x26,
		0xa5,0xf4,0xb5,0x58,0x0c,0xbd,0xd1,0x40,0xef,0xea,0xc2,0x3c,0xf3,0x0c,0x0b,0x9f,
		0x7f,0x41,0xbd,0xb4,0xce,0x41,0x69,0x0d,0xe9,0xb7,0x90,0xa1,0xc4,0x0f,0x7c,0xf2,
		0xa3,0x97,0x70,0xab,0xd5,0x43,0x0a,0x21,0x40,0x4a,0x5f,0xec,0x3f,0xdc,0xdc,0x2f,
		0x5c,0xbb,0x66,0x6f,0xdf,0xb9,0xcb,0xf6,0xc2,0x3c,0xf5,0xa5,0x65,0x82,0x46,0x03,
		0x53,0x28,0xa4,0x72,0x39,0x62,0x47,0x3b,0x31,0x3a,0xdb,0x69,0x0a,0x85,0x67,0x3f,
		0xfb,0x94,0x58,0x2e,0x87,0xf4,0xfd,0xff,0x2f,0x54,0xb4,0xbd,0x5a,0x85,0xf9,0x9f,
		0x7e,0xe6,0xe1,0xf5,0x1b,0x28,0x40,0x08,0x58,0x91,0x08,0xc9,0xfe,0x53,0xd8,0x03,
		0xa7,0xd1,0xf3,0x4f,0xe2,0x96,0xd6,0x71,0xa7,0xa7,0x59,0x9d,0x98,0x24,0xff,0xde,
		0xbb,0x48,0xd7,0x45,0x4a,0x09,0x48,0xb4,0xfd,0xba,0x03,0x83,0x83,0xe8,0xb7,0x6f,
		0x13,0x09,0x25,0x67,0x3e,0xfa,0x10,0xa5,0xbb,0x9b,0xa0,0xe7,0x31,0xc2,0x44,0x8a,
		0xed,0xf2,0x2e,0x1d,0x67,0x4d,0xc2,0x42,0x81,0x07,0xd7,0x6f,0xd0,0x7e,0xf6,0x05,
		0xd2,0x27,0xf3,0x84,0xad,0x16,0x00,0x8a,0xa9,0xeb,0x18,0xbd,0x3d,0xe4,0x86,0x87,
		0xf1,0x7c,0x9f,0xec,0xf1,0x5e,0x8c,0xa1,0x21,0x6a,0x9e,0x87,0x38,0x68,0x70,0x24,
		0x6a,0x20,0xec,0x24,0xb9,0x57,0x5f,0xc1,0xdf,0xde,0xa2,0x30,0xfe,0xc3,0x7f,0xeb,
		0x80,0x94,0x88,0xf5,0xd5,0xa5,0xfd,0xbf,0x17,0x96,0xec,0x68,0xa5,0xc6,0xda,0xe5,
		0xf7,0x11,0x66,0x8c,0x97,0x6f,0xde,0xa4,0xa9,0x47,0xd0,0x55,0x95,0x44,0x22,0x81,
		0x6a,0xc4,0x70,0x2b,0x15,0xa6,0xdf,0x1c,0xc1,0xdd,0xdc,0xe4,0xa9,0x2b,0x9f,0x90,
		0x7b,0xfe,0x39,0x82,0x66,0xb3,0xa2,0x18,0x46,0x14,0x3b,0x1a,0xa5,0x91,0xb2,0xe9,
		0x1a,0x79,0x83,0x8d,0x7f,0x66,0x59,0xfc,0xfa,0x1b,0x3a,0x3b,0x8e,0x92,0x3d,0xd2,
		0x8e,0x1e,0x35,0x51,0x85,0x20,0x96,0x4a,0xd1,0x73,0xf1,0x22,0xbe,0xe7,0x51,0x9c,
		0x98,0xc0,0x6d,0x38,0x84,0x80,0x02,0x92,0x74,0x36,0xc3,0x41,0xbd,0x46,0xf4,0xc5,
		0x21,0x12,0x7d,0xc7,0xf9,0xe3,0xea,0x55,0x36,0x7e,0xfb,0x15,0x00,0xc7,0xa9,0xb3,
		0x58,0xb8,0x87,0xeb,0x07,0x3c,0x3e,0x7c,0x0e,0xfb,0x64,0x1e,0x77,0x7e,0x81,0xbd,
		0xd9,0x39,0x50,0x05,0x8a,0x0c,0x43,0xe2,0x71,0x0b,0x5d,0x11,0x34,0x14,0x95,0x13,
		0x63,0x63,0xb8,0xe5,0x32,0x77,0xde,0x19,0xa3,0x52,0x5c,0xc5,0xb0,0xe2,0x24,0xec,
		0x24,0xba,0xa6,0x12,0xb6,0x5c,0xc2,0x96,0x8b,0x61,0x99,0xb8,0x3b,0xdb,0x84,0x42,
		0x41,0xf1,0x7c,0x0f,0x55,0x11,0xa4,0xed,0x14,0xbb,0xf7,0xd7,0xc9,0xbd,0x74,0x8e,
		0xee,0xf3,0xe7,0x29,0xcd,0xfc,0xc5,0xd4,0x6b,0xaf,0xb3,0x32,0xfe,0x1d,0x6a,0xb1,
		0xc4,0xf2,0xe4,0x24,0xbf,0x5c,0xb8,0xc0,0xc1,0xc2,0x12,0xfe,0x41,0x0b,0x21,0x04,
		0x61,0xe8,0xa1,0xc1,0xa1,0x54,0xa9,0x74,0x8a,0x62,0xa9,0x44,0x79,0x77,0x8b,0xd3,
		0x57,0x3e,0x26,0x93,0x4e,0x31,0xf3,0xe5,0x57,0x3c,0x18,0x79,0x0b,0xc3,0xb2,0x68,
		0x39,0x0e,0x26,0xd0,0xde,0xd5,0x8d,0x17,0x8b,0x11,0x3d,0xd1,0x87,0xf4,0x03,0xb4,
		0xc0,0xf7,0x91,0x8a,0x42,0x22,0x61,0x91,0x6d,0x6b,0x63,0x63,0xa5,0x40,0x3a,0x9d,
		0x25,0x7a,0x69,0x94,0x63,0xf1,0x38,0x95,0x5b,0x53,0xb8,0x2b,0x2b,0x68,0x80,0x67,
		0x59,0xec,0x5a,0x26,0xc7,0x46,0xdf,0x46,0x6f,0xcb,0xe2,0x35,0x9b,0x88,0xe2,0xf2,
		0x5c,0x1d,0xb0,0x14,0x45,0xa1,0x52,0x73,0x98,0xf9,0x73,0x06,0x84,0x20,0x99,0x69,
		0x03,0x43,0xa7,0xb5,0xbb,0xc7,0xfe,0xe2,0x3c,0xd2,0x71,0x50,0x2d,0x8b,0x8e,0xa7,
		0xfb,0xe9,0x1b,0x18,0xc0,0x14,0x92,0x50,0x4a,0x47,0x14,0x97,0xe7,0x4a,0x40,0xf2,
		0xd0,0x0c,0x41,0x69,0xed,0x3e,0xf7,0x0a,0x05,0x82,0x20,0x40,0x8b,0x44,0xc8,0x64,
		0xb2,0x24,0xd3,0x29,0x84,0xa6,0x12,0xd3,0x75,0x92,0x89,0x38,0xa6,0xa6,0x12,0x1e,
		0xca,0x54,0xfd,0x17,0x7d,0x67,0x7b,0x8c,0x79,0x54,0xd0,0xa8,0x00,0x00,0x00,0x00,
		0x49,0x45,0x4e,0x44,0xae,0x42,0x60,0x82);
	}
